﻿<%@ page language="C#" autoeventwireup="true" inherits="DatabaseSettings, App_Web_databasesettings.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Database Settings</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" runat="server"></telerik:RadWindowManager>
    <telerik:RadWindow ID="DBSettingsdDialog" runat="server" Modal="true" Behaviors="Close,Resize,Move" Skin="Office2007" 
        Title="Database Settings" Width="600" Height="370" VisibleOnPageLoad="true">
        <ContentTemplate>
          <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td >
                                <fieldset>
                                    <legend><asp:CheckBox ID="chk_SQLServer" onclick="chk_SQLServer_onchange(this)" Text="SQL Server" runat="server" /></legend>
                                    <table>
                                    <tr>
                                    <td>Database Server</td>
                                    <td><asp:TextBox ID="txt_DatabaseServer"  runat="server" ></asp:TextBox></td>
                                     <td>Database Name</td>
                                    <td><asp:TextBox ID="txt_DatabaseName"  runat="server" ></asp:TextBox></td>
                                    </tr>
                                     <tr>
                                    <td>Authentication</td>
                                    <td><asp:DropDownList ID="drp_AuthenTication" runat="server">
                                        <asp:ListItem>Windows Authentication</asp:ListItem>
                                        <asp:ListItem>SQL Server Authentication</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                    </tr>
                                    <tr>
                                    <td>SQL User</td>
                                    <td><asp:TextBox ID="txt_SQLUser"  runat="server" ></asp:TextBox></td>
                                     <td>SQL Password</td>
                                    <td><asp:TextBox ID="txt_SQLPass" TextMode="Password"  runat="server" ></asp:TextBox></td>
                                    </tr>
                                    </table>
                                </fieldset>
                                </td>
                        </tr>
                        
                        <tr>
                            <td >
                                <fieldset>
                                    <legend><asp:CheckBox ID="chk_Oracle" Text="Oracle" onclick="chk_Oracle_onchange(this)"  runat="server" /></legend>
                                    <table>
                                    <tr>
                                    <td>Database Server</td>
                                    <td colspan="3"><asp:TextBox ID="txt_OracleDatabaseServer" Width="400"  runat="server" ></asp:TextBox></td>
                                    </tr>
                                   
                                    <tr>
                                    <td>SQL User</td>
                                    <td><asp:TextBox ID="txt_OracleUserName"  runat="server" ></asp:TextBox></td>
                                     <td>SQL Password</td>
                                    <td><asp:TextBox ID="txt_OraclePassword" TextMode="Password"  runat="server" ></asp:TextBox></td>
                                    </tr>
                                    <tr>
                                    <td>Service Name</td>
                                    <td><asp:TextBox ID="txt_ServiceName"  runat="server" ></asp:TextBox></td>
                                     <td>Port Number</td>
                                    <td><asp:TextBox ID="txt_Port"  runat="server" ></asp:TextBox></td>
                                    </tr>
                                    </table>
                                </fieldset>
                                </td>
                        </tr>

                        <tr>
                        <td>&nbsp;</td>
                        </tr>
                            
                        <tr>
                                <td align="right">
                                    <telerik:RadButton ID="btn_TestConnection" Icon-PrimaryIconCssClass="rbOk" OnClick="btn_TestConnection_OnClick" runat="server" Text="Test Conection" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" OnClick="btn_Save_OnClick" runat="server" Text="Save" />&nbsp;&nbsp;<telerik:RadButton ID="btn_Close" OnClick="btn_Close_OnClick"   Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" />
                                </td>
                        </tr>

                         <tr>
                                <td>
                                    <asp:Label ID="lbl_Error" runat="server" Text="" ForeColor="Red"></asp:Label>
                                </td>
                        </tr>

                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
        </ContentTemplate>
    </telerik:RadWindow>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }

        function chk_SQLServer_onchange(objCheckbox) {
            document.getElementById('<%=txt_DatabaseServer.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=txt_DatabaseName.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=drp_AuthenTication.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=txt_SQLUser.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=txt_SQLPass.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=chk_Oracle.ClientID%>').checked = !objCheckbox.checked;
            chk_Oracle_onchange(document.getElementById('<%=chk_Oracle.ClientID%>'))
        }
        function chk_Oracle_onchange(objCheckbox) {
            document.getElementById('<%=txt_OracleDatabaseServer.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=txt_OracleUserName.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=txt_OraclePassword.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=txt_ServiceName.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
            document.getElementById('<%=txt_Port.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1

            document.getElementById('<%=chk_SQLServer.ClientID%>').checked = !objCheckbox.checked;
        }
    </script>
</body>

</html>
