﻿<%@ page language="C#" autoeventwireup="true" enableeventvalidation="false" inherits="Departments, App_Web_departments.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Departments</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
     <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "150px";
                popUp.style.top = "80px";
            } 
      </script>
    </telerik:RadCodeBlock>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server">
    <Windows>
            <telerik:RadWindow ID="UserListDialog" runat="server" Title="Save Department Details" Height="250px" VisibleStatusbar="false"
                Width="450px" Left="150px" ShowContentDuringLoad="true" 
                Modal="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Department">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Department" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    <telerik:RadGrid ID="Grid_Department" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="800"
        runat="server" OnNeedDataSource="Grid_Department_NeedDataSource" OnDeleteCommand="Grid_Department_OnDeleteCommand"  OnItemCreated="Grid_Department_ItemCreated"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView CommandItemDisplay="Top"  DataKeyNames="DepartmentId" AllowFilteringByColumn="true"  >
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server"    OnClientClick="return ShowInsertForm();"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Department</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="DepartmentId" HeaderText="DepartmentId" UniqueName="DepartmentId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DepartmentSName" HeaderStyle-Width="120" FilterControlWidth="90" ItemStyle-Wrap="false"  HeaderText="Department" UniqueName="DepartmentSName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DepartmentFName" HeaderStyle-Width="150" FilterControlWidth="110"  ItemStyle-Wrap="false"   HeaderText="Department Full Name" UniqueName="DepartmentFName" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Description" HeaderStyle-Width="200" FilterControlWidth="170" ItemStyle-Wrap="false"    HeaderText="Description" UniqueName="Description"></telerik:GridBoundColumn>
                 <telerik:GridTemplateColumn UniqueName="EditColumn" AllowFiltering="false"  HeaderStyle-Width="30" >
                    <ItemTemplate>
                        <asp:HyperLink ID="EditLink" runat="server" Text="Edit" ImageUrl="~/Icons/edit-icon.gif"></asp:HyperLink>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridButtonColumn  ConfirmDialogType="RadWindow" HeaderStyle-Width="40"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete"   ConfirmText="Are you sure you want to delete this Record?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents  OnPopUpShowing="PopUpShowing"  />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
        function ShowEditForm(id, rowIndex) {
            var grid = $find("<%= Grid_Department.ClientID %>");

            var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();
            grid.get_masterTableView().selectItem(rowControl, true);

            window.radopen("AddEditDepartmentDetails.aspx?DepartmentId=" + id, "UserListDialog");
            return false;
        }
        function ShowInsertForm() {
            window.radopen("AddEditDepartmentDetails.aspx?DepartmentId=0", "UserListDialog");
            return false;
        }
        function refreshGrid() {
            $find("<%= Grid_Department.ClientID %>").get_masterTableView().rebind();
        }
    </script>
</body>
</html>
