﻿<%@ page language="C#" autoeventwireup="true" inherits="DepartmentsShift, App_Web_departmentsshift.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Department Shift</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    
      <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "400px";
                popUp.style.top = "50px";
            } 
        </script>
    </telerik:RadCodeBlock>
    
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_DepartmentShift">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_DepartmentShift" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    
    <telerik:RadGrid ID="Grid_DepartmentShift" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="1050"
        runat="server" OnNeedDataSource="Grid_DepartmentShift_NeedDataSource" OnDeleteCommand="Grid_DepartmentShift_OnDeleteCommand"
        OnUpdateCommand="Grid_DepartmentShift_UpdateCommand" OnItemDataBound="Grid_DepartmentShift_ItemDataBound" 
        AllowFilteringByColumn="true" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp"  CommandItemDisplay="Top" DataKeyNames="DepartmentShiftId"  TableLayout="Fixed" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Assign Department Shift</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="DepartmentShiftId" HeaderText="DepartmentShiftId" UniqueName="DepartmentShiftId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ShiftCode" FilterControlWidth="45" HeaderStyle-Width="90" ItemStyle-Wrap="false"    HeaderText="Shift Code " UniqueName="ShiftCode"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Shiftdate" FilterControlWidth="70"  HeaderStyle-Width="100" ItemStyle-Wrap="false"   DataFormatString="{0:dd-MMM-yyyy}"    HeaderText="Shift Date" UniqueName="Shiftdate"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="BeginTime" FilterControlWidth="70"  HeaderStyle-Width="120" ItemStyle-Wrap="false"    HeaderText="Shift Begin Time " UniqueName="BeginTime"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EndTime" FilterControlWidth="70"  HeaderStyle-Width="100" ItemStyle-Wrap="false"    HeaderText="Shift End Time " UniqueName="EndTime"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Break1" FilterControlWidth="45"  HeaderStyle-Width="80" ItemStyle-Wrap="false"    HeaderText="Is Break1" UniqueName="Break1"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Break2" FilterControlWidth="45"  HeaderStyle-Width="80" ItemStyle-Wrap="false"    HeaderText="Is Break2" UniqueName="Break2"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DepartmentSName" FilterControlWidth="90"  HeaderStyle-Width="130" ItemStyle-Wrap="false"    HeaderText="Department" UniqueName="DepartmentSName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LastModifiedDate" FilterControlWidth="100"  HeaderStyle-Width="140" ItemStyle-Wrap="false"   DataFormatString="{0:dd-MMM-yyyy hh:mm tt}"    HeaderText="Last Modified Date" UniqueName="LastModifiedDate"></telerik:GridBoundColumn>
                <telerik:GridEditCommandColumn   UniqueName="EditColumn" ButtonType="ImageButton" HeaderStyle-Width="30" />
                <telerik:GridButtonColumn   ConfirmDialogType="RadWindow" HeaderStyle-Width="30"   ConfirmDialogWidth="400" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Department Shift"   ConfirmText="Are you sure you want to delete this Department Shift?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Assign Department Shift"  CaptionFormatString="Update Department Shift">
                <PopUpSettings Modal="true" Width="380" Height="200"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Assign Department Shift</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <b>Department</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_Department" Width="250" runat="server"></asp:DropDownList>
                                        </td>
                                    </tr>
                                   
                                    <tr>
                                        <td>
                                            <b>Shift</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_Shift" Width="250"  runat="server"></asp:DropDownList>
                                        </td>
                                    </tr>
                                    
                                   <tr>
                                        <td>
                                            From Date
                                        </td>
                                        <td>
                                        <telerik:RadDatePicker ID="DTP_FromDate" DateInput-DateFormat="dd-MMM-yyyy" Skin="Office2007"  runat="server"></telerik:RadDatePicker>
                                        </td>
                                    </tr>
                                    
                                     <tr>
                                        <td>
                                            To Date
                                        </td>
                                        <td>
                                        <telerik:RadDatePicker ID="DTP_ToDate" DateInput-DateFormat="dd-MMM-yyyy"  Skin="Office2007" runat="server"></telerik:RadDatePicker>
                                        </td>
                                    </tr>
                                   
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"   />
            <Selecting AllowRowSelect="true"/>
            <Resizing AllowColumnResize="true" AllowRowResize="false" />
            <ClientEvents   OnPopUpShowing="PopUpShowing" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" /> 
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
