﻿<%@ page language="C#" autoeventwireup="true" inherits="DeviceCommands, App_Web_devicecommands.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Device Commands</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_DeviceCommands">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_DeviceCommands" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    <telerik:RadGrid ID="Grid_DeviceCommand" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="1200"  AllowCustomPaging = "true" OnItemCreated="RadGrid_ItemCreated"
        runat="server" OnNeedDataSource="Grid_DeviceCommand_NeedDataSource" OnDeleteCommand="Grid_DeviceCommand_OnDeleteCommand"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True" AllowMultiRowSelection="true"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" OnPageIndexChanged="Grid_DeviceCommand_PageIndexChanged" AllowSorting="false">
        <MasterTableView  DataKeyNames="DeviceCommandId"  CommandItemDisplay="Top" AllowFilteringByColumn="true">
        <CommandItemSettings ShowRefreshButton="true" RefreshText="Refresh Device Commands" ShowAddNewRecordButton="false" />
        <CommandItemTemplate>
        <div style="padding: 5px 5px;">
                                <asp:LinkButton ID="lnk_DeleteSelectedRecords" OnClientClick="return confirm('Do You want to delete the selected records.');" OnClick="DeleteSelectedRecords_click" runat="server" ><img style="border:0px;vertical-align:middle;" alt="" src="Images/Delete.gif" />Delete Selected Device Commands</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <asp:LinkButton ID="lnk_RefreshDeviceCommands" OnClick="RefreshDeviceCommands_click" runat="server" ><img style="border:0px;vertical-align:middle;" alt="" src="Images/Refresh.gif" />Refresh</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                </div>
        </CommandItemTemplate>
            <Columns>
             <telerik:GridClientSelectColumn UniqueName="chk_DeviceCommandId" HeaderStyle-Width="35">
                            </telerik:GridClientSelectColumn>
                <telerik:GridBoundColumn DataField="DeviceCommandId" HeaderText="DeviceCommandId" UniqueName="DeviceCommandId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Title"  HeaderText="Title" HeaderStyle-Width="250" UniqueName="Title"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DeviceSName" HeaderText="DeviceSName"  HeaderStyle-Width="150" UniqueName="DeviceSName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="SerialNumber" HeaderText="SerialNumber"  HeaderStyle-Width="100" UniqueName="SerialNumber"></telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="Status" HeaderText="Status" FilterControlWidth="50"  HeaderStyle-Width="70" UniqueName="Status"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CreationDate" HeaderText="CreationDate"  HeaderStyle-Width="130"   DataFormatString="{0:dd-MMM-yyyy HH:mm:ss}"  UniqueName="CreationDate"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ExecutionDate" HeaderText="ExecutionDate"  HeaderStyle-Width="130"   DataFormatString="{0:dd-MMM-yyyy HH:mm:ss}"  UniqueName="ExecutionDate"></telerik:GridBoundColumn>
                   <telerik:GridBoundColumn DataField="LastPing"  HeaderStyle-Width="150" FilterControlWidth="120"    HeaderText="LastPing"  DataFormatString="{0:dd-MMM-yyyy hh:mm tt}" Display="false"   UniqueName="LastPing" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="TimeOut"  HeaderStyle-Width="200"   HeaderText="TimeOut" Display="false"  UniqueName="TimeOut" ></telerik:GridBoundColumn>
               <telerik:GridTemplateColumn HeaderStyle-Width="100" AllowFiltering="false">
                <ItemTemplate>
                    <asp:Label ID="Label1"  runat="server" Text=  '<%#DeviceStatus(DataBinder.Eval(Container.DataItem, "LastPing").ToString(),DataBinder.Eval(Container.DataItem, "TimeOut").ToString())%>' ForeColor='<%#ChangeColorOnDeviceStatusCheck(DataBinder.Eval(Container.DataItem, "LastPing").ToString(),DataBinder.Eval(Container.DataItem, "TimeOut").ToString()) %>'></asp:Label>
                </ItemTemplate>
                </telerik:GridTemplateColumn>
                 <telerik:GridButtonColumn  ConfirmDialogType="RadWindow" HeaderStyle-Width="30"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Device Command"  ConfirmText="Are you sure you want to delete this Device Command?" ImageUrl="Images/deleteRecordBtn.gif"/>
            </Columns>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
