﻿<%@ page language="C#" autoeventwireup="true" inherits="Devices, App_Web_devices.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Devices</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
      <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }

            function RowContextMenu(sender, eventArgs) {
                var menu = $find("<%=RadMenu1.ClientID %>");
                var evt = eventArgs.get_domEvent();

                if (evt.target.tagName == "INPUT" || evt.target.tagName == "A") {
                    return;
                }

                var index = eventArgs.get_itemIndexHierarchical();
                document.getElementById("radGridClickedRowIndex").value = index;

                sender.get_masterTableView().selectItem(sender.get_masterTableView().get_dataItems()[index].get_element(), true);

                menu.show(evt);

                evt.cancelBubble = true;
                evt.returnValue = false;

                if (evt.stopPropagation) {
                    evt.stopPropagation();
                    evt.preventDefault();
                }
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "100px";
                popUp.style.top = "10px";
            }
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server">
    <Windows>
            <telerik:RadWindow ID="UserListDialog" runat="server" Title="Save Device Details" Height="330px" VisibleStatusbar="false"
                Width="600px" Left="150px" 
                Modal="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Device">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Device" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Office2007" />
     <input type="hidden" id="radGridClickedRowIndex" name="radGridClickedRowIndex"/>
    <telerik:RadGrid ID="Grid_Device" ShowStatusBar="true"  GridLines="None" Skin="Office2007"  Width="1300" Height="440"
        runat="server" OnNeedDataSource="Grid_Device_NeedDataSource" OnDeleteCommand="Grid_Device_OnDeleteCommand" OnItemCreated="Grid_Device_ItemCreated"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True" AllowMultiRowSelection="true"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView Font-Size="9" CommandItemDisplay="Top" DataKeyNames="DeviceId,SerialNumber" AllowFilteringByColumn="true">
        <CommandItemSettings ShowRefreshButton="true" />
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server"   OnClientClick="return ShowInsertForm();"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Device</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                    <%--<telerik:RadButton ID="btn_DevicePushDetails" ButtonType="LinkButton"  runat="server" Text="Device Push Details" Icon-PrimaryIconCssClass="rbEdit" OnClick="btn_DevicePushDetails_OnClick"/>--%>
                    <asp:LinkButton ID="btn_DevicePushDetails" Visible="false"  OnClick="btn_DevicePushDetails_OnClick" runat="server" ><img style="border:0px;vertical-align:middle;" alt="" src="Icons/edit-icon.gif" />Update Selected Devices Push Details </asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                     <asp:LinkButton ID="lnk_Refresh" runat="server" CommandName="RebindGrid"><img style="border:0px" alt="" src="Images/Refresh.gif" /> Refresh Device list</asp:LinkButton>
                    &nbsp;&nbsp;<asp:LinkButton ID="lnk_ExportDevices" OnClientClick="return ShowExportDevicesForm();" runat="server" CommandName="ExportDevices"><img style="border:0px;vertical-align:middle;" alt="" src="Icons/export-employee-leave.png" />Export Device List</asp:LinkButton>

                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridClientSelectColumn UniqueName="chk_DeviceId" HeaderStyle-Width="35" ></telerik:GridClientSelectColumn>
                <telerik:GridBoundColumn DataField="DeviceId" HeaderText="DeviceId" UniqueName="DeviceId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DeviceSName" FilterControlWidth="100"  HeaderStyle-Width="130"   HeaderText="Device Name" UniqueName="DeviceSName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="SerialNumber" HeaderText="SerialNumber" UniqueName="SerialNumber"></telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="DeviceDirection" FilterControlWidth="100"    HeaderStyle-Width="130"  HeaderText="Direction" UniqueName="DeviceDirection" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DeviceLocation" FilterControlWidth="100"    HeaderStyle-Width="130"  HeaderText="Location" UniqueName="DeviceLocation" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanySName" FilterControlWidth="75"    HeaderStyle-Width="100"  HeaderText="Company" UniqueName="CompanySName" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LastLogDownloadDate"  FilterControlWidth="120"  HeaderStyle-Width="150"   HeaderText="Last Download Date"  DataFormatString="{0:dd-MMM-yyyy hh:mm tt}"  UniqueName="LastLogDownloadDate" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LastPing"  HeaderStyle-Width="150" FilterControlWidth="120"    HeaderText="LastPing"  DataFormatString="{0:dd-MMM-yyyy hh:mm tt}" Visible="true"   UniqueName="LastPing" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="TimeOut"  HeaderStyle-Width="200"   HeaderText="TimeOut" Display="false"  UniqueName="TimeOut" ></telerik:GridBoundColumn>

                <telerik:GridTemplateColumn HeaderStyle-Width="50" AllowFiltering="false" >
                <ItemTemplate>
                    <asp:Label ID="Label1"  runat="server" Text=  '<%#DeviceStatus(DataBinder.Eval(Container.DataItem, "LastPing").ToString(),DataBinder.Eval(Container.DataItem, "TimeOut").ToString())%>' ForeColor='<%#ChangeColorOnDeviceStatusCheck(DataBinder.Eval(Container.DataItem, "LastPing").ToString(),DataBinder.Eval(Container.DataItem, "TimeOut").ToString()) %>'></asp:Label>
                </ItemTemplate>
                </telerik:GridTemplateColumn>

                 <telerik:GridTemplateColumn UniqueName="EditColumn" AllowFiltering="false"  HeaderStyle-Width="30" >
                    <ItemTemplate>
                        <asp:HyperLink ID="EditLink" runat="server" Text="Edit" ImageUrl="~/Icons/edit-icon.gif"></asp:HyperLink>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                 <telerik:GridButtonColumn  ConfirmDialogType="RadWindow"  HeaderStyle-Width="30"  ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Device"  ConfirmText="Are you sure you want to delete this Device?" ImageUrl="Images/deleteRecordBtn.gif"/>
                <telerik:GridHyperLinkColumn Target="_blank"  HeaderStyle-Width="150"  Text="View Users in Device" UniqueName="ViewUsersInDevice" AllowFiltering="false"  NavigateUrl=""></telerik:GridHyperLinkColumn>
            </Columns>
           
        </MasterTableView>
       <ClientSettings>
         <ClientEvents OnRowContextMenu="RowContextMenu"></ClientEvents>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"   />
            <Selecting  AllowRowSelect="true"/>
            <Resizing AllowColumnResize="true" AllowRowResize="false" />
            <ClientEvents  OnPopUpShowing="PopUpShowing"  />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>

    <telerik:RadContextMenu ID="RadMenu1" runat="server" Skin="Office2007"  OnItemClick="RadMenu1_ItemClick"
        EnableRoundedCorners="true" EnableShadows="true">
        <Items>
            <telerik:RadMenuItem Text="Restart  Device" ></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Reset OP Stamp" ></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Reset Transaction Stamp"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Sync Time with Server" Visible="false"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Clear Admin Privilege"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="CLEAR Att LOG"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Change GateWay"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Change IpAddress"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Change SubNetMask"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Change WebServerIP"></telerik:RadMenuItem>
            <telerik:RadMenuItem Text="Change WebServerPort"></telerik:RadMenuItem>
        </Items>
    </telerik:RadContextMenu>

    <telerik:RadWindow ID="Wnd_DeviceSetOption" runat="server" Modal="true" Behaviors="Close,Resize,Move" Skin="Office2007" 
        Title="Update Device Options" Width="300" Height="150" VisibleOnPageLoad="false">
        <ContentTemplate>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                <ContentTemplate>
                <table>
                <tr>
                <td>Value</td>
                <td><asp:TextBox ID="txt_Value" Width="200"  runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                <td colspan="2" align="right">
                    <telerik:RadButton ID="btn_ChangeValue" Skin="Office2007"  Icon-PrimaryIconCssClass="rbOk" OnClick="btn_ChangeValue_OnClick" runat="server" Text="Save" />
                    <asp:HiddenField ID="hdn_ActionName" runat="server" />
                </td>
                </tr>
                </table>

                </ContentTemplate>
                </asp:UpdatePanel>
                </ContentTemplate>
                </telerik:RadWindow>

     <telerik:RadWindow ID="DevicePushDialog" runat="server" Modal="true" Behaviors="Close,Resize,Move" Skin="Office2007" 
        Title="Update Device push Details" Width="490" Height="350" VisibleOnPageLoad="false">
        <ContentTemplate>
            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                                    <td>
                                    <fieldset>
                                    <legend>Device Push Details</legend>
                                    <table>
                                    <tr>
                                    <td><asp:CheckBox ID="chk_IsRealTime" Text="IsRealTime" runat="server" /></td>
                                    </tr>

                                    <tr>
                                    <td>
                                    <table>
                                    <tr>
                                    <td>Trans Interval</td>
                                    <td><asp:TextBox ID="txt_TransInterval" Width="50" Text="1" runat="server"></asp:TextBox></td>
                                    <td>Time Zone</td>
                                    <td><asp:TextBox ID="txt_TimeZone" Width="50" Text="330" runat="server"></asp:TextBox></td>
                                    </tr>
                                    </table>
                                    </td>
                                    </tr>

                                    <tr>
                                    <td>
                                    <table>
                                    <tr>
                                    <td>TransTimes</td>
                                    <td><asp:TextBox ID="txt_TransTimes" Width="300" Text="" runat="server"></asp:TextBox></td>
                                    </tr>
                                    </table>
                                    </td>
                                    </tr>

                                    <tr>
                                    <td>
                                    <fieldset>
                                    <legend>Operational Data</legend>
                                    <table>
                                    <tr>
                                    <td><asp:CheckBox ID="chk_AttLog" Checked="true" Enabled="false" Text="Attendance Record" runat="server" /></td>
                                    <td><asp:CheckBox ID="chk_OpLog" Text="Operation Log" runat="server" /></td>
                                    <td><asp:CheckBox ID="chk_AttPhoto" Text="Attendance photos" runat="server" /></td>
                                    </tr>

                                     <tr>
                                    <td><asp:CheckBox ID="chk_EnrollFP" Checked="true" Enabled="false" Text="Enroll a new fingerprint" runat="server" /></td>
                                    <td><asp:CheckBox ID="chk_EnrollUser" Checked="true" Enabled="false" Text="EnrollUser" runat="server" /></td>
                                    <td><asp:CheckBox ID="chk_FPImag" Text="Fingerprint Image" runat="server" /></td>
                                    </tr>

                                     <tr>
                                    <td><asp:CheckBox ID="chk_ChgUser" Checked="true" Enabled="false" Text="Modify user information" runat="server" /></td>
                                    <td><asp:CheckBox ID="chk_ChgFP"  Checked="true" Enabled="false" Text="Modify fingerprint" runat="server" /></td>
                                    <td><asp:CheckBox ID="chk_FACE" Text="Face Registration" runat="server" /></td>
                                    </tr>

                                    <tr>
                                    <td><asp:CheckBox ID="chk_UserPic" Text="User Photos" runat="server" /></td>
                                    </tr>

                                    </table>
                                    </fieldset>
                                    </td>
                                    </tr>
                                    </table>
                                    </fieldset>
                                    </td>
                                    </tr>
                            
                        <tr>
                                <td align="right">
                                    <telerik:RadButton ID="btn_Save" Skin="Office2007"  Icon-PrimaryIconCssClass="rbOk" OnClick="btn_Save_OnClick" runat="server" Text="Save" />&nbsp;&nbsp;<telerik:RadButton ID="btn_Close" Skin="Office2007"  OnClick="btn_Close_OnClick"   Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" />
                                </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
        </ContentTemplate>
    </telerik:RadWindow>
      
      
    </form>
    <script type="text/javascript">
        function refreshGrid() {
            $find("<%= Grid_Device.ClientID %>").get_masterTableView().rebind();
        }
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }

        function ShowInsertForm() {
            window.radopen("EditDeviceDetails.aspx?DeviceId=0", "UserListDialog");
            return false;
        }

        function ShowEditForm(id, rowIndex) {
            var grid = $find("<%= Grid_Device.ClientID %>");

            var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();
            grid.get_masterTableView().selectItem(rowControl, true);

            window.radopen("EditDeviceDetails.aspx?DeviceId=" + id, "UserListDialog");
            return false;
        }
        function ShowExportDevicesForm() {
            window.radopen('ExportDeviceDetails.aspx', '').setSize(600, 280);
            return false;
        }
    </script>
</body>
</html>
