﻿<%@ page language="C#" autoeventwireup="true" inherits="EmployeeDocuments, App_Web_employeedocuments.aspx.cdcab7d2" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Employee Documents</title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
     <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadFormDecorator ID="FormDecorator1" runat="server" DecoratedControls="all" Skin="Office2007" ></telerik:RadFormDecorator>

    <telerik:RadGrid ID="Grid_EmployeeDocuments" ShowStatusBar="true"  GridLines="None"    Skin="Office2010Blue" Width="900" ShowFooter="true"
        runat="server" OnNeedDataSource="Grid_EmployeeDocuments_NeedDataSource"  OnDeleteCommand="Grid_Document_OnDeleteCommand" OnUpdateCommand="Grid_Document_UpdateCommand" AutoGenerateColumns="false"  AllowSorting="true">
             <ExportSettings  FileName="HolidayDetails" ></ExportSettings>
        <MasterTableView EditMode="PopUp"    DataKeyNames="EmployeeDocumentId" Font-Size="10"   CommandItemDisplay="Top" AllowFilteringByColumn="true">
         <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add Document for Employee <%=Request.QueryString["EmployeeCode"] %></asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>

            <Columns>
                <telerik:GridBoundColumn DataField="EmployeeDocumentId" HeaderText="EmployeeDocumentId" UniqueName="EmployeeDocumentId" Display="false"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EmployeeId" HeaderText="EmployeeId" UniqueName="EmployeeId" Display="false"> </telerik:GridBoundColumn>

                <telerik:GridTemplateColumn UniqueName="DocumentTitle" HeaderText="Document Name">
                  <ItemTemplate>
                    <asp:LinkButton ID="btnlnk" ToolTip="Click here to download the file" runat="server" Text='<%# Eval("DocumentTitle") %>' OnClick="btnlnk_Click">
                    </asp:LinkButton>
                  </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn DataField="UploadedDate"  HeaderStyle-Width="120" FilterControlWidth="80" ItemStyle-Wrap="false"  HeaderText="Uploaded Date" UniqueName="UploadedDate" DataFormatString="{0:dd-MMM-yyyy}"  ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LastModifiedBy"  HeaderStyle-Width="100" FilterControlWidth="65" ItemStyle-Wrap="false"  HeaderText="Uploaded By" UniqueName="LastModifiedBy"  ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Extension" HeaderText="Extension" UniqueName="Extension" Display="false"> </telerik:GridBoundColumn>
                 <telerik:GridButtonColumn  ConfirmDialogType="RadWindow" HeaderStyle-Width="30"    ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Document"   ConfirmText="Are you sure you want to delete this Document?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>

            </Columns>
               <EditFormSettings EditFormType="Template" InsertCaption="Add Employee Document" CaptionFormatString="Update Employee Document">
                <PopUpSettings Modal="true" Width="420"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Add Employee Document</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <b>Document Title</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_DocumentTitle" runat="server" Width="200"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Upload Document
                                        </td>
                                        <td>
                                            <asp:FileUpload ID="fld_EmployeeDocument" runat="server" />
                                        </td>
                                        </tr>
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="lbl_Message" runat="server" Text="" ForeColor="Red"></asp:Label><telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk"  Text="Save" runat="server" CommandName="Update" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Resizing AllowColumnResize="true" />
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
