﻿<%@ page language="C#" autoeventwireup="true" enableeventvalidation="false" inherits="Projects, App_Web_projects.aspx.e01c902d" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Project">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Project" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
         <telerik:RadFormDecorator ID="FormDecorator1" runat="server" DecoratedControls="all" Skin="Office2007" ></telerik:RadFormDecorator>
    
    <telerik:RadGrid ID="Grid_Project" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="900"
        runat="server" OnNeedDataSource="Grid_Project_NeedDataSource" OnDeleteCommand="Grid_Project_OnDeleteCommand"
        OnUpdateCommand="Grid_Project_UpdateCommand" OnItemDataBound="Grid_Project_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top"  DataKeyNames="ProjectId">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="../Images/AddRecord.gif" />Add New Project</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="ProjectId" HeaderText="ProjectId" UniqueName="ProjectId" Visible="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CustomerName" ItemStyle-Width="150" ItemStyle-Wrap="false"  HeaderText="Customer Name" UniqueName="CustomerName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ProjectName" ItemStyle-Width="150" ItemStyle-Wrap="false"  HeaderText="Project Name" UniqueName="ProjectName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EmployeeName" ItemStyle-Width="150" ItemStyle-Wrap="false"  HeaderText="Project Admin" UniqueName="ProjectAdmins"> </telerik:GridBoundColumn>
                <telerik:GridEditCommandColumn UniqueName="EditColumn" ButtonType="ImageButton" />
                <telerik:GridButtonColumn  ConfirmDialogType="RadWindow"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Project"   ConfirmText="Are you sure you want to delete this Project?" ImageUrl="../Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add Project" CaptionFormatString="Update Project" >
                <PopUpSettings Modal="true" Width="480" Height="250"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Add\Edit Project</legend>
                                <table>
                                 <tr>
                                        <td>
                                            <b>Customer Name</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_CustomerName" runat="server"></asp:DropDownList>
                                            
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>
                                            <b>Project Name</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Name" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                    
                                     <tr>
                                        <td>
                                            <b>Project Admin</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_ProjectAdmin" runat="server"></asp:DropDownList>
                                            
                                        </td>
                                    </tr>

                                     <tr>
                                        <td>
                                            <b>Description</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Description" TextMode="MultiLine" runat="server"  Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                   
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton
                                    ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
</body>
</html>
