﻿<%@ page language="C#" autoeventwireup="true" enableeventvalidation="false" inherits="Vacancies, App_Web_vacancies.aspx.e01c902d" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Vacancy">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Vacancy" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
         <telerik:RadFormDecorator ID="FormDecorator1" runat="server" DecoratedControls="all" Skin="Office2007" ></telerik:RadFormDecorator>
    
    <telerik:RadGrid ID="Grid_Vacancy" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="900"
        runat="server" OnNeedDataSource="Grid_Vacancy_NeedDataSource" OnDeleteCommand="Grid_Vacancy_OnDeleteCommand"
        OnUpdateCommand="Grid_Vacancy_UpdateCommand" OnItemDataBound="Grid_Vacancy_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top"  DataKeyNames="VacancyId">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="../Images/AddRecord.gif"  />Add New Vacancy</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="VacancyId" HeaderText="VacancyId" UniqueName="VacancyId" Visible="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="VacancyName" ItemStyle-Width="120" ItemStyle-Wrap="false"  HeaderText="VacancyName" UniqueName="VacancyName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="JobTitleName" ItemStyle-Width="150" ItemStyle-Wrap="false"    HeaderText="JobTitleName" UniqueName="JobTitleName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EmployeeName" ItemStyle-Width="150" ItemStyle-Wrap="false"    HeaderText="EmployeeName" UniqueName="EmployeeName"></telerik:GridBoundColumn>

                <telerik:GridEditCommandColumn UniqueName="EditColumn" ButtonType="ImageButton" />
                <telerik:GridButtonColumn  ConfirmDialogType="RadWindow"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Vacancy"   ConfirmText="Are you sure you want to delete this Vacancy?"  ImageUrl="../Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add Vacancy" CaptionFormatString="Update Vacancy">
                <PopUpSettings Modal="true" Width="500"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Add\Edit Vacancy</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <b>Vacancy Name</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Name" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                    
                                     <tr>
                                        <td>
                                            <b>Job Title</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_JobTitle" runat="server"></asp:DropDownList>
                                        </td>
                                    </tr>

                                     <tr>
                                        <td>
                                            <b>Hiring Manager</b>
                                        </td>
                                        <td>
                                            <telerik:RadComboBox ID="drp_HiringManager"  DataSourceID="Objectdatasource1"   DataTextField="Name" DataValueField="Id"  runat="server" Width="250" Height="150" EmptyMessage="Select a Manager" EnableAutomaticLoadOnDemand="True" EnableItemCaching="True"  ItemsPerRequest="10"  ShowMoreResultsBox="true" EnableVirtualScrolling="true"></telerik:RadComboBox>  
                                         </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <b>Number of Positions</b>
                                        </td>
                                        <td>
                                            <telerik:RadNumericTextBox  MinValue="0" NumberFormat-DecimalDigits="0" Width="40" Skin="Office2007"   ID="txt_NumberOfPosition" runat="server"/>
                                        </td>
                                    </tr>
                                     <tr>
                                        <td>
                                            Description
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Description" TextMode="MultiLine" runat="server"  Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Active
                                        </td>
                                        <td>
                                            <asp:RadioButtonList ID="rbtn_Active" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem Selected="True">Is Active</asp:ListItem>
                                            <asp:ListItem>Inactive</asp:ListItem>
                                            </asp:RadioButtonList>
                                            
                                        </td>
                                    </tr>
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton
                                    ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    
<asp:objectdatasource ID="Objectdatasource1" runat="server" selectmethod="GetItems_ListBox_Employees"    typename="eTimeMate_Library.Data_Access_Layler.ListManagement">

</asp:objectdatasource>

    </form>
     
</body>
</html>
