﻿<%@ page language="C#" autoeventwireup="true" inherits="HolidayGroup, App_Web_holidaygroup.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Holiday Group</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server">
    <Windows>
            <telerik:RadWindow ID="UserListDialog" runat="server" Title="Save HolidayGroup Details" Height="250px" VisibleStatusbar="false"
                Width="450px" Left="150px" ShowContentDuringLoad="true" 
                Modal="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
    
      <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "400px";
                popUp.style.top = "50px";
            } 
        </script>
    </telerik:RadCodeBlock>
    
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_HolidayGroup">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_HolidayGroup" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    
    <telerik:RadGrid ID="Grid_HolidayGroup" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="1050"
        runat="server" OnNeedDataSource="Grid_HolidayGroup_NeedDataSource" OnDeleteCommand="Grid_HolidayGroup_OnDeleteCommand" OnItemCreated="Grid_HolidayGroup_Created" 
        
        AllowFilteringByColumn="true" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView  CommandItemDisplay="Top" DataKeyNames="HolidayGroupId"  TableLayout="Fixed" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server"   OnClientClick="return ShowInsertForm();"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif"/>Add New Holiday Group</asp:LinkButton>&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="HolidayGroupId" HeaderText="HolidayGroupId" UniqueName="HolidayGroupId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="HolidayGroupCode" FilterControlWidth="100" HeaderStyle-Width="150" ItemStyle-Wrap="false"    HeaderText="Holiday Group Code" UniqueName="HolidayGroupCode"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="HolidayGroupName" FilterControlWidth="100"  HeaderStyle-Width="180" ItemStyle-Wrap="false"    HeaderText="Holiday Group Name" UniqueName="HolidayGroupName"></telerik:GridBoundColumn>
                 <telerik:GridTemplateColumn UniqueName="EditColumn" AllowFiltering="false"  HeaderStyle-Width="30" >
                    <ItemTemplate>
                        <asp:HyperLink ID="EditLink" runat="server" Text="Edit" ImageUrl="~/Icons/edit-icon.gif"></asp:HyperLink>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridButtonColumn   ConfirmDialogType="RadWindow" HeaderStyle-Width="30"   ConfirmDialogWidth="400" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Holiday Group"   ConfirmText="Are you sure you want to delete this Holiday Group?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"   />
            <Selecting AllowRowSelect="true"/>
            <Resizing AllowColumnResize="true" AllowRowResize="false" />
            <ClientEvents   OnPopUpShowing="PopUpShowing" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" /> 
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
        function ShowEditForm(id, rowIndex) {
            var grid = $find("<%= Grid_HolidayGroup.ClientID %>");

            var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();
            grid.get_masterTableView().selectItem(rowControl, true);

            window.radopen("AddEditHolidayGroupDetails.aspx?HolidayGroupId=" + id, "UserListDialog");
            return false;
        }
        function ShowInsertForm() {
            window.radopen("AddEditHolidayGroupDetails.aspx?HolidayGroupId=0", "UserListDialog");
            return false;
        }
        function refreshGrid() {
            $find("<%= Grid_HolidayGroup.ClientID %>").get_masterTableView().rebind();
        }
    </script>
</body>
</html>
