﻿<%@ page language="C#" autoeventwireup="true" inherits="LeaveTypes, App_Web_leavetypes.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Leave Type List</title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server"> </telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007" runat="server"></telerik:RadWindowManager>

     <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "100px";
                popUp.style.top = "50px";
            }
        </script>
    </telerik:RadCodeBlock>
   
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_LeaveType">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_LeaveType" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    <telerik:RadGrid ID="Grid_LeaveType" ShowStatusBar="true"  GridLines="None"  Skin="Office2007" Width="1200"
        runat="server" OnNeedDataSource="Grid_LeaveType_NeedDataSource" OnDeleteCommand="Grid_LeaveType_OnDeleteCommand"
        OnUpdateCommand="Grid_LeaveType_UpdateCommand" OnItemDataBound="Grid_LeaveType_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top" DataKeyNames="LeaveTypeId"  TableLayout="Fixed"   AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New LeaveType</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="LeaveTypeId"   HeaderText="LeaveTypeId" UniqueName="LeaveTypeId"   Display="false"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LeaveTypeName"  HeaderStyle-Width="150" FilterControlWidth="100" ItemStyle-Wrap="false"  HeaderText="Leave Type" UniqueName="LeaveTypeName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LeaveTypeCode" HeaderStyle-Width="150" FilterControlWidth="100" ItemStyle-Wrap="false"   HeaderText="Code" UniqueName="LeaveTypeCode"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CarryForwardLimit" HeaderStyle-Width="150" FilterControlWidth="100"    HeaderText="Carry Forward" UniqueName="CarryForwardLimit" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="YearlyLimit" HeaderStyle-Width="150" FilterControlWidth="100"    HeaderText="Yearly Limit" UniqueName="YearlyLimit" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Gender" HeaderStyle-Width="150" FilterControlWidth="100"  HeaderText="Gender" UniqueName="Gender" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="AllotmentType" HeaderStyle-Width="150" FilterControlWidth="100"  HeaderText="Allotment Type" UniqueName="AllotmentType" ></telerik:GridBoundColumn>

                <telerik:GridEditCommandColumn HeaderStyle-Width="30"  UniqueName="EditColumn" ButtonType="ImageButton" />
                <telerik:GridButtonColumn HeaderStyle-Width="30"   ConfirmDialogType="RadWindow"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Leave Type"   ConfirmText="Are you sure you want to delete this Leave Type?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
                <telerik:GridHyperLinkColumn UniqueName="ViewHistory" Text="View History" AllowFiltering="false"  DataNavigateUrlFields="LeaveTypeId" DataNavigateUrlFormatString="LeaveTypeHistory.aspx?LeaveTypeId={0}"></telerik:GridHyperLinkColumn>
                <telerik:GridHyperLinkColumn UniqueName="AllotByCategoty" AllowFiltering="false" Text="Allot By Category"  DataNavigateUrlFields="LeaveTypeId" DataNavigateUrlFormatString="LeaveAllotmentByCategory.aspx?LeaveTypeId={0}"></telerik:GridHyperLinkColumn>

            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add Leave Type" CaptionFormatString="Update Leave Type">
                <PopUpSettings Modal="true" Width="1150"  />
                <FormTemplate>
                    <table>
                    <tr>
                    <td>
                    <fieldset style="vertical-align:top;">
                    <legend>Master Definition</legend>
                    <table>
                    <tr>
                    <td><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Name</b></td>
                    <td><asp:TextBox ID="txt_Name" runat="server" Width="100"></asp:TextBox></td>                       
                    <td align="right"><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Code</b></td>
                    <td><asp:TextBox ID="txt_Code" runat="server" Width="80"></asp:TextBox></td>
                    </tr>

                    <tr>
                    <td><b>Applicable to</b></td>
                    <td>
                    <asp:DropDownList ID="drp_Gender" runat="server">
                        <asp:ListItem>All</asp:ListItem>
                        <asp:ListItem>Male</asp:ListItem>
                        <asp:ListItem>Female</asp:ListItem>
                    </asp:DropDownList>
<asp:hiddenfield ID="hdn_LeaveTypeId" runat="server"></asp:hiddenfield>

                    </td>
                    <td ><asp:CheckBox ID="chk_IsAllowNegativeBalance" runat="server" Text="Negative Balance" Width="120" /></td>
                    <td >    <asp:Label runat="server" Text="Max Negative Balance"></asp:Label>
                        <telerik:RadNumericTextBox runat="server" id="txt_MaxNegativeBalance" Width="40px"></telerik:RadNumericTextBox>
                    </td>
                    </tr>


                    <tr>
                        <td>
                            Description
                        </td>
                        <td colspan="3">
                            <asp:TextBox ID="txt_Description" runat="server" Width="350" TextMode="MultiLine"></asp:TextBox>
                        </td>
                    </tr>

                    <tr>
                    <td colspan="2"><asp:CheckBox ID="chk_IsLossOfPay" runat="server" Text="Is Loss of Pay" /></td>
                    </tr>


                    </table>
                    </fieldset>
                    </td>

                    <td>
                    <fieldset>
                    <legend>Auto Leave Allotment</legend>
                    <table>

                    <tr>
                    <td>Allotment Type</td>
                    <td>
                    <asp:DropDownList ID="drp_AllotmentType" runat="server">
                    <asp:ListItem>Monthly</asp:ListItem>
                  <%--  <asp:ListItem>Quarterly</asp:ListItem>
                    <asp:ListItem>Half Yearly</asp:ListItem>--%>
                    <asp:ListItem>Yearly</asp:ListItem></asp:DropDownList>
                    </td>
                    <td colspan="2">Effective From &nbsp; <asp:DropDownList ID="drp_AllotOnMonthDay" runat="server">
                    <asp:ListItem>1</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>3</asp:ListItem>
                    <asp:ListItem>4</asp:ListItem>
                    <asp:ListItem>5</asp:ListItem>
                    <asp:ListItem>6</asp:ListItem>
                    <asp:ListItem>7</asp:ListItem>
                    <asp:ListItem>8</asp:ListItem>
                    <asp:ListItem>9</asp:ListItem>
                    <asp:ListItem>10</asp:ListItem>
                    <asp:ListItem>11</asp:ListItem>
                    <asp:ListItem>12</asp:ListItem>
                    <asp:ListItem>13</asp:ListItem>
                    <asp:ListItem>14</asp:ListItem>
                    <asp:ListItem>15</asp:ListItem>
                    <asp:ListItem>16</asp:ListItem>
                    <asp:ListItem>17</asp:ListItem>
                    <asp:ListItem>18</asp:ListItem>
                    <asp:ListItem>19</asp:ListItem>
                    <asp:ListItem>20</asp:ListItem>
                    <asp:ListItem>21</asp:ListItem>
                    <asp:ListItem>22</asp:ListItem>
                    <asp:ListItem>23</asp:ListItem>
                    <asp:ListItem>24</asp:ListItem>
                    <asp:ListItem>25</asp:ListItem>
                    <asp:ListItem>26</asp:ListItem>
                    <asp:ListItem>27</asp:ListItem>
                    <asp:ListItem>28</asp:ListItem>
                    </asp:DropDownList>
                    <asp:DropDownList ID="drp_AfterMonth" runat="server"><asp:ListItem>Jan</asp:ListItem></asp:DropDownList>
                    <asp:DropDownList ID="drp_AfterYear" Enabled="false" runat="server"><asp:ListItem>2015</asp:ListItem></asp:DropDownList>
                    </td>

                    </tr>

                    <tr>
                    <td>Day(s)</td>
                    <td><telerik:RadNumericTextBox  ID="mtxt_YearlyLimit" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox></td>
                    <td><b>Carry forward limit</b></td>
                    <td><telerik:RadNumericTextBox  ID="mtxt_CarryForwardLimit" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox></td>
                    </tr>

                    <tr>
                    <td>Increase leave by </td>
                    <td><telerik:RadNumericTextBox  ID="mtxt_IncreaseLeaveBy" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox></td>
                    <td>When</td>
                    <td><telerik:RadNumericTextBox  ID="mtxt_EmploymentCompleted" MinValue="0" Width="70" NumberFormat-DecimalDigits="0"   runat="server"></telerik:RadNumericTextBox></td>
                    <td>month of employment completed</td>
                    </tr>

                    <tr style="display:none">
                    <td>Grace Days</td>
                    <td><telerik:RadNumericTextBox  ID="mtxt_GraceDaysForEmploymentCompleted" Value="0" MinValue="0" Width="70" NumberFormat-DecimalDigits="0"   runat="server"></telerik:RadNumericTextBox></td>
                    </tr>

                    <tr>
                    <td colspan="2"><asp:CheckBox ID="chk_IsLeaveEncashment" runat="server" Text="Leave Encashment" /></td>
                    <td>Minimum Balance</td>
                    <td><telerik:RadNumericTextBox  ID="txt_LeaveEncashmentMinBalance" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox>
                    &nbsp;&nbsp;&nbsp;&nbsp;Max Encash
                    <td><telerik:RadNumericTextBox  ID="txt_LeaveEncashmentMaxEncash" MinValue="0" Width="60" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox>
                    </tr>
                        <tr>
                    <td colspan="2">Max Avail Leave Per Month</td>
                    <td><telerik:RadNumericTextBox  ID="txt_MaxTakePerMonth" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox>
                    </td>
    <td><asp:CheckBox ID="chk_IsProrated" runat="server" Text="Prorated" /></td>
                        </tr>
                    </table>

                        <table>
                        <tr>
                            <td colspan="2">Min Avail Leave Per Instance</td>
                            <td><telerik:RadNumericTextBox  ID="txt_MinLeaveAvailPerInst" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox>
                            <td colspan="2">Max Avail Leave Per Instance</td>
                            <td><telerik:RadNumericTextBox  ID="txt_MaxLeaveAvailPerInst" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox>
                      </tr>

                          <tr>
                            <td colspan="2">Min Gap Between Two Instance</td>
                            <td><telerik:RadNumericTextBox  ID="txt_MinGapBwTwoInst" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox>days
                            <td colspan="2">&nbsp;&nbsp;Max Instances Allowed per Year</td>
                            <td><telerik:RadNumericTextBox  ID="txt_MaxAllowInstYear" MinValue="0" Width="70" NumberFormat-DecimalDigits="2"   runat="server"></telerik:RadNumericTextBox>
                      </tr>
                        </table>

                    </fieldset>
                    </td>
                    </tr>
                    <tr>
                    <td>
                    <fieldset>
                    <legend>Leave 'Allotment From' Settings</legend>
                    <table>
                    <tr>
                    <td>
                    
                        <asp:RadioButtonList ID="rbtn_LeavetAllotment" runat="server" RepeatColumns="3" RepeatDirection="Horizontal">
                        <asp:ListItem Selected="True">Leave Date</asp:ListItem>
                        <asp:ListItem>Confirmation Date</asp:ListItem>
                        <%--<asp:ListItem>Joining Date</asp:ListItem>--%>
                        <%--<asp:ListItem>Probation Completion Date</asp:ListItem>
                        <asp:ListItem>Allot After</asp:ListItem>--%>
                        </asp:RadioButtonList>
                    </td>
                    </tr>
                    <tr style="display:none">
                    <td><telerik:RadNumericTextBox  ID="mtxt_AllotAfterMonths" MinValue="0" Width="70" NumberFormat-DecimalDigits="0"   runat="server"></telerik:RadNumericTextBox>&nbsp;Days of Employment Completed</td>
                    </tr>
                   <tr>
                   <td>
                   <table>

                    <tr style="display:none">
                    <td>Grace Days</td>
                    <td><telerik:RadNumericTextBox  ID="mtxt_GraceDaysForConfirmation" Value="0" MinValue="0" Width="70" NumberFormat-DecimalDigits="0"   runat="server"></telerik:RadNumericTextBox></td>
                    <td>for Leave Allotment</td>
                    </tr>

                   </table>
                   </td>
                   </tr>
                    </table>
                    </fieldset>
                    </td>



                    <td>
                    <fieldset>
                    <legend>
                        </legend>
                    <table>
                    <tr>
                    <td>
                    <asp:RadioButton ID="rbtn_JoiningDate" Checked="true" runat="server" Text="Joining Date" GroupName="LeaveAvailAfterSettings" /> &nbsp;<asp:RadioButton ID="rbtn_ConfirmationDate" runat="server" Text="Confirmation Date" GroupName="LeaveAvailAfterSettings"  /> &nbsp;<asp:RadioButton ID="rbtn_ProbationCompletionDate" runat="server" Text="Probation Completion Date" GroupName="LeaveAvailAfterSettings"  />
                    </td>
                    </tr>
                    <tr>
                    <td><asp:RadioButton ID="rbtn_AvailAfter" runat="server" Text="Avail After" GroupName="LeaveAvailAfterSettings"  />&nbsp;<telerik:RadNumericTextBox  ID="mtxt_AvailAfterMonths" MinValue="0" Width="70" NumberFormat-DecimalDigits="0"   runat="server"></telerik:RadNumericTextBox>&nbsp;Days of Employment Completed</td>
                    </tr>
                    </table>
                    </fieldset>
                    </td>



                    </tr>

                     <tr>
                            <td align="right" colspan="2">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton
                                    ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Resizing AllowColumnResize="true" />
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnRowDblClick="RowDblClick"  OnPopUpShowing="PopUpShowing" ></ClientEvents>
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
