﻿<%@ page language="C#" autoeventwireup="true" inherits="Location, App_Web_location.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Location</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
     <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "150px";
                popUp.style.top = "80px";
            } 
      </script>
    </telerik:RadCodeBlock>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Status">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Status" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    <telerik:RadGrid ID="Grid_LocationsName" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="800"
        runat="server" OnNeedDataSource="Grid_LocationsName_NeedDataSource" OnDeleteCommand="Grid_LocationsName_OnDeleteCommand"
        OnUpdateCommand="Grid_LocationsName_UpdateCommand" OnItemDataBound="Grid_LocationsName_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top" DataKeyNames="LocationName,LocationCode,LeaveApprovalWorkFlowId,OdApprovalWorkFlowId,AttRegularizeApprovalWorkFlowId" AllowFilteringByColumn="true"  >
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Location</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="LocationName" HeaderStyle-Width="120" FilterControlWidth="90" ItemStyle-Wrap="false"  HeaderText="LocationName" UniqueName="LocationName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LocationCode" HeaderStyle-Width="120" FilterControlWidth="90" ItemStyle-Wrap="false"  HeaderText="Location Code" UniqueName="LocationCode"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LeaveApprovalWorkFlowId" HeaderStyle-Width="120" FilterControlWidth="90" ItemStyle-Wrap="false"  HeaderText="LeaveApprovalWorkFlowId" UniqueName="LeaveApprovalWorkFlowId" Display="false"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="OdApprovalWorkFlowId" HeaderStyle-Width="120" FilterControlWidth="90" ItemStyle-Wrap="false"  HeaderText="OdApprovalWorkFlowId" UniqueName="OdApprovalWorkFlowId" Display="false"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="AttRegularizeApprovalWorkFlowId" HeaderStyle-Width="120" FilterControlWidth="90" ItemStyle-Wrap="false"  HeaderText="AttRegularizeApprovalWorkFlowId" UniqueName="AttRegularizeApprovalWorkFlowId" Display="false"> </telerik:GridBoundColumn>

                <telerik:GridEditCommandColumn UniqueName="EditColumn" HeaderStyle-Width="40"  ButtonType="ImageButton" />
                <telerik:GridButtonColumn  ConfirmDialogType="RadWindow" HeaderStyle-Width="40"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete"   ConfirmText="Are you sure you want to delete this Record?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add Location" CaptionFormatString="Update Location">
                <PopUpSettings Modal="true" Width="570"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend runat="server" id="legend_title">Add\Edit Location</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <b>Location Name</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_LocationName" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <b>Location Code</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_LocationCode" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                     
                                      <tr>
                                        <td>
                                            <b>Leave Approval WorkFlow</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_LeaveApprovalWorkFlow" runat="server"></asp:DropDownList>
                                        </td>
                                    </tr>

                                     <tr>
                                        <td>
                                            <b>OutDoor Approval WorkFlow</b>
                                        </td>
                                        <td>
                                        <asp:DropDownList ID="drp_OutDoorApprovalWorkFlow" runat="server"></asp:DropDownList>
                                        </td>
                                    </tr>

                                     <tr>
                                        <td>
                                            <b>Att Approval WorkFlow</b>
                                        </td>
                                        <td>
                                           <asp:DropDownList ID="drp_AttApprovalWorkFlow" runat="server"></asp:DropDownList>
                                        </td>
                                    </tr>

                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton
                                    ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents  OnPopUpShowing="PopUpShowing"  />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
