﻿<%@ page language="C#" autoeventwireup="true" inherits="MultiShiftShiftGroup, App_Web_multishiftshiftgroup.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=8" />
</head>
<body>
    <form id="form1" runat="server">
  <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
      <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            function ShowInsertForm() {
                window.radopen("AddEditMultiShiftGroup.aspx", "AddEditShiftGroup");
                return false;
            }
            function ShowEditForm(MultiShiftGroupId, rowIndex) {
                var grid = $find("<%= Grid_EmployeeShiftGroup.ClientID %>");

                var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();
                grid.get_masterTableView().selectItem(rowControl, true);

                window.radopen("AddEditMultiShiftGroup.aspx?MultiShiftGroupId=" + MultiShiftGroupId, "AddEditShiftGroup");
                return false;
            }
        </script>
    </telerik:RadCodeBlock>
    
     <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_EmployeeShiftGroup">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_EmployeeShiftGroup" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Office2007"  />
    <telerik:RadFormDecorator ID="FormDecorator1" runat="server" DecoratedControls="all" Skin="Office2007" ></telerik:RadFormDecorator>
        

        <telerik:RadGrid ID="Grid_EmployeeShiftGroup" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="1000"
        runat="server" OnNeedDataSource="Grid_EmployeeShiftGroup_NeedDataSource"  OnDeleteCommand="Grid_EmployeeShiftGroup_OnDeleteCommand" OnItemCreated="Grid_EmployeeShiftGroup_ItemCreated"
        AllowFilteringByColumn="true" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" Font-Size="8" CommandItemDisplay="Top" DataKeyNames="MultiShiftGroupId" TableLayout="Fixed"  AllowFilteringByColumn="true">
             <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" OnClientClick="return ShowInsertForm();" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add Multi Shift Group</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="MultiShiftGroupId" HeaderText="MultiShiftGroupId" UniqueName="MultiShiftGroupId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ShiftIds" HeaderStyle-Width="150" FilterControlWidth="120"  Display="false" ItemStyle-Wrap="false"    HeaderText="ShiftIds" UniqueName="ShiftIds"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="MultiShiftGroupSName" HeaderStyle-Width="150" FilterControlWidth="120"   ItemStyle-Wrap="false"  HeaderText="ShiftGroup Short Name" UniqueName="ShiftGroupSName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="MultiShiftGroupFName" HeaderStyle-Width="150" FilterControlWidth="120"   ItemStyle-Wrap="false"  HeaderText="ShiftGroup Full Name" UniqueName="ShiftGroupFName"></telerik:GridBoundColumn>

                <telerik:GridTemplateColumn UniqueName="TemplateEditColumn" HeaderStyle-Width="85" AllowFiltering="false">
                    <ItemTemplate>
                      <asp:HyperLink ID="EditLink" runat="server" Text="Edit" ImageUrl="~/Icons/edit-icon.gif"></asp:HyperLink>
                    </ItemTemplate>
                  </telerik:GridTemplateColumn>
                <telerik:GridButtonColumn HeaderStyle-Width="28"   ConfirmDialogType="RadWindow"   ConfirmDialogWidth="440" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Shift Roster"   ConfirmText="Are you sure you want to delete this Shift Roster?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
        </MasterTableView>
      <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"   />
            <Selecting AllowRowSelect="true"/>
            <Resizing AllowColumnResize="true" AllowRowResize="false" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>

    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server" VisibleStatusbar="false" >
      <Windows>
            <telerik:RadWindow ID="AddEditShiftGroup" runat="server" Title="Shift Roster Details" Skin="Office2007"   ReloadOnShow="true"  Left="150px"  ShowContentDuringLoad="false" Modal="true" InitialBehaviors="Maximize"> </telerik:RadWindow>
           
        </Windows>
     </telerik:RadWindowManager>

    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
