﻿<%@ page language="C#" autoeventwireup="true" inherits="MultiShift, App_Web_multishifts.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Shift List</title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    
       <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "100px";
                popUp.style.top = "20px";
            } 
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_MultiShift">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_MultiShift" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    <telerik:RadGrid ID="Grid_MultiShift" ShowStatusBar="true"  GridLines="None"   Skin="Office2007" Width="960"
        runat="server" OnNeedDataSource="Grid_MultiShift_NeedDataSource" OnDeleteCommand="Grid_MultiShift_OnDeleteCommand"
        OnUpdateCommand="Grid_MultiShift_UpdateCommand" OnItemDataBound="Grid_MultiShift_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top" DataKeyNames="MultiShiftId"  TableLayout="Fixed" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Shift</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="MultiShiftId" HeaderText="MultiShiftId" UniqueName="MultiShiftId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="MultiShiftName" HeaderStyle-Width="200" FilterControlWidth="170"  HeaderText="Multi Shift Name" UniqueName="MultiShiftName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="MultiShiftCode" HeaderStyle-Width="140" FilterControlWidth="110"  HeaderText="MultiShift Code" UniqueName="MultiShiftCode"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="MultiShiftBeginTime" HeaderStyle-Width="140" FilterControlWidth="110"  HeaderText="Begin Time" UniqueName="MultiShiftBeginTime" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="MultiShiftEndTime" HeaderStyle-Width="140" FilterControlWidth="110"  HeaderText="End Time" UniqueName="MultiShiftEndTime" ></telerik:GridBoundColumn>
                <telerik:GridEditCommandColumn UniqueName="EditColumn" HeaderStyle-Width="40" ButtonType="ImageButton" />
                <telerik:GridButtonColumn  ConfirmDialogType="RadWindow"  HeaderStyle-Width="40"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Shift"   ConfirmText="Are you sure you want to delete this Shift?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add Shift" CaptionFormatString="Update Shift">
                <PopUpSettings Modal="true" Width="750" Height="300" />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Shift Details</legend>
                                <table>
                                
                                <tr>
                                <td>
                                <table>
                                <tr>
                                 <td><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Name</b></td>
                                <td><asp:TextBox ID="txt_MultiShiftName" runat="server" Width="380"></asp:TextBox></td>
                                <td><b>Code</b></td>
                                <td><asp:TextBox ID="txt_MultiShiftCode" Width="100" runat="server"></asp:TextBox></td>
                                </tr>
                                </table>
                                </td>
                                </tr>
                                
                                <tr>
                                <td>
                                <table>
                                <tr>
                                <td>Begin Time</td>
                                <td><telerik:RadTimePicker ID="dtp_MultiShiftBeginTime" DateInput-DateFormat="HH:mm" Skin="Office2007"  runat="server"></telerik:RadTimePicker></td>
                                <td>End Time</td>
                                <td><telerik:RadTimePicker ID="Dtp_MultiShiftEndTime" DateInput-DateFormat="HH:mm" Skin="Office2007"  runat="server"></telerik:RadTimePicker></td>
                                </tr>
                                </table>
                                </td>
                                </tr>
                                
                                <tr>
                                <td>
                                    
                                <fieldset>
                                <legend>Other Details</legend>
                                <table>
                                <tr>
                                <td>
                                <asp:CheckBox ID="chk_PunchBeginBefore" runat="server" Text="Punch Begin Before" />&nbsp;&nbsp;<telerik:RadNumericTextBox  ID="mtxt_PunchBeginBefore"  MinValue="0" NumberFormat-DecimalDigits="0" Skin="Office2007"    runat="server"></telerik:RadNumericTextBox>&nbsp;Mins (Default value will come from Master Settings)
                                </tr>
                                </td>
                                
                                
                                <tr>
                                <td>
                                <asp:CheckBox ID="chk_PunchEndAfter" Text="Punch End After" runat="server" />&nbsp;&nbsp;<telerik:RadNumericTextBox  ID="mtxt_PunchEndAfter"  MinValue="0" NumberFormat-DecimalDigits="0" Skin="Office2007"    runat="server"></telerik:RadNumericTextBox>&nbsp;Mins (Default value is next day shift begin time – punch begin duration)
                                </tr>
                                </td>
                                <tr>
                                <td>
                                <asp:CheckBox ID="chk_GraceTime" Text="Grace Time"  runat="server" />&nbsp;&nbsp;<telerik:RadNumericTextBox  ID="mtxt_GraceTime"  MinValue="0" NumberFormat-DecimalDigits="0" Skin="Office2007"    runat="server"></telerik:RadNumericTextBox>&nbsp;Mins (Default Value will come from Employee Category Settings)
                                </tr>
                                </td>
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                       </table>
                                    
                                </fieldset>
                            </td>
                        </tr>
                        
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton
                                    ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnRowDblClick="RowDblClick"  OnPopUpShowing="PopUpShowing" ></ClientEvents>
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
