﻿<%@ page language="C#" autoeventwireup="true" inherits="OverrideEmployeeLeaveBalance, App_Web_overrideemployeeleavebalance.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Department Shift</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    
      <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "400px";
                popUp.style.top = "50px";
            } 
        </script>
    </telerik:RadCodeBlock>
    
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_OverrideLeaveBalance">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_OverrideLeaveBalance" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    
    <telerik:RadGrid ID="Grid_OverrideLeaveBalance" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="1050"
        runat="server" OnNeedDataSource="Grid_OverrideLeaveBalance_NeedDataSource" OnDeleteCommand="Grid_OverrideLeaveBalance_OnDeleteCommand"
        OnUpdateCommand="Grid_OverrideLeaveBalance_UpdateCommand" OnItemDataBound="Grid_OverrideLeaveBalance_ItemDataBound" 
        AllowFilteringByColumn="true" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp"  CommandItemDisplay="Top" DataKeyNames="OveEmpLeavesBalanceId"  TableLayout="Fixed" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Override Leave Balance</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="OveEmpLeavesBalanceId" HeaderText="OveEmpLeavesBalanceId" UniqueName="OveEmpLeavesBalanceId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EmployeeId" FilterControlWidth="45" HeaderStyle-Width="90" ItemStyle-Wrap="false" Display="false"    HeaderText="EmployeeId " UniqueName="EmployeeId"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LeaveTypeId" FilterControlWidth="45" HeaderStyle-Width="90" ItemStyle-Wrap="false" Display="false"    HeaderText="LeaveTypeId " UniqueName="LeaveTypeId"></telerik:GridBoundColumn>
                
                <telerik:GridBoundColumn DataField="EmployeeCode" FilterControlWidth="45" HeaderStyle-Width="90" ItemStyle-Wrap="false"    HeaderText="EmployeeCode " UniqueName="EmployeeCode"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EmployeeName" FilterControlWidth="70"  HeaderStyle-Width="100" ItemStyle-Wrap="false"       HeaderText="EmployeeName" UniqueName="Shiftdate"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CreditedCycle" FilterControlWidth="70"  HeaderStyle-Width="120" ItemStyle-Wrap="false" DataFormatString="{0:dd-MMM-yyyy}"    HeaderText="CreditedCycle " UniqueName="CreditedCycle"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LeaveTypeCode" FilterControlWidth="70"  HeaderStyle-Width="100" ItemStyle-Wrap="false"    HeaderText="LeaveTypeCode " UniqueName="LeaveTypeCode"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LeaveTypeName" FilterControlWidth="70"  HeaderStyle-Width="100" ItemStyle-Wrap="false"    HeaderText="LeaveTypeName " UniqueName="LeaveTypeName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LeaveBalance" FilterControlWidth="45"  HeaderStyle-Width="80" ItemStyle-Wrap="false"    HeaderText="LeaveBalance" UniqueName="LeaveBalance"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Remarks" FilterControlWidth="45"  HeaderStyle-Width="80" ItemStyle-Wrap="false" Display="false"    HeaderText="Remarks" UniqueName="Remarks"></telerik:GridBoundColumn>
                
                <telerik:GridEditCommandColumn   UniqueName="EditColumn" ButtonType="ImageButton" HeaderStyle-Width="30" />
                <telerik:GridButtonColumn   ConfirmDialogType="RadWindow" HeaderStyle-Width="30"   ConfirmDialogWidth="400" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Department Shift"   ConfirmText="Are you sure you want to delete this Department Shift?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Update Leave Balance"  CaptionFormatString="Update Leave Balance">
                <PopUpSettings Modal="true" Width="380" Height="300"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Override Employee Leave Balance</legend>
                                <table>
                                   <tr>
                                            <td>
                                                Leave Balance
                                            </td>
                                            <td>
                                                <telerik:RadNumericTextBox ID="txt_LeaveBalance" Width="120" MinValue="0" NumberFormat-DecimalDigits="2"  runat="server"/>
                                            </td>
                                        </tr>
                                      <tr>
                                            <td>
                                                CreditedCycle
                                            </td>
                                            <td>
                                                <telerik:RadMonthYearPicker ID="dtp_CreditedCycle" Skin="Office2007"  runat="server"></telerik:RadMonthYearPicker>
                                            </td>
                                        </tr>
                                     <tr>
                                        <td>Employee</td>
                                        <td>
                                          <telerik:RadComboBox ID="drp_EmployeeDeviceCode"   Font-Size="10"  Skin="Office2010Blue" Width="150" runat="server"
                                                               AppendDataBoundItems="true" RenderingMode="Full" >
                                                            </telerik:RadComboBox>  
                                           <%-- <asp:DropDownList ID="drp_EmployeeDeviceCode" Width="150"  runat="server"></asp:DropDownList>--%>

                                        </td>
                                     </tr>
                                     <tr>
                                        <td>LeaveType</td>
                                        <td><asp:DropDownList ID="drp_LeaveType" Width="150"  runat="server"></asp:DropDownList></td>
                                     </tr>
                                     <tr>
                                        <td>Remarks</td>
                                        <td>
                                            <asp:TextBox ID="txt_Remarks" TextMode="MultiLine" runat="server"></asp:TextBox></td>
                                     </tr>
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"   />
            <Selecting AllowRowSelect="true"/>
            <Resizing AllowColumnResize="true" AllowRowResize="false" />
            <ClientEvents   OnPopUpShowing="PopUpShowing" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" /> 
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
