﻿<%@ page language="C#" autoeventwireup="true" inherits="PublicHolidays, App_Web_publicholidays.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Public Holiday List</title>
    <%--<meta http-equiv="X-UA-Compatible" content="IE=8" />--%>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
     <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server"></telerik:RadWindowManager>

       <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "100px";
                popUp.style.top = "50px";
            } 
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Holiday">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Holiday" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    <telerik:RadGrid ID="Grid_Holiday" ShowStatusBar="true"  GridLines="None"    Skin="Office2010Blue" Width="900"
        runat="server" OnNeedDataSource="Grid_Holiday_NeedDataSource" OnDeleteCommand="Grid_Holiday_OnDeleteCommand"
        OnUpdateCommand="Grid_Holiday_UpdateCommand" OnItemDataBound="Grid_Holiday_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top" DataKeyNames="HolidayId" TableLayout="Fixed"  AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Holiday</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;

                    <asp:LinkButton ID="lnk_ImportHoliday" OnClientClick="return ShowImportHolidayDetailsForm();"
                                    runat="server" CommandName="ImportHolidayDetails"><img style="border:0px;vertical-align:middle;" alt="" src="Icons/import-employee-details.png" />Import Holiday Details</asp:LinkButton>

                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="HolidayId" HeaderText="HolidayId" UniqueName="HolidayId" Display="false"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="HolidayName"  HeaderStyle-Width="200" FilterControlWidth="170"  ItemStyle-Wrap="false"   HeaderText="Holiday Name" UniqueName="HolidayName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanySName"  HeaderStyle-Width="200" FilterControlWidth="170"  ItemStyle-Wrap="false"  HeaderText="Company" UniqueName="CompanySName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="HolidayDate"  HeaderStyle-Width="150" FilterControlWidth="120"  ItemStyle-Wrap="false"  HeaderText="Holiday Date" UniqueName="HolidayDate" DataFormatString="{0:dd-MMM-yyyy}"  ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="HolidayType"  HeaderStyle-Width="150" FilterControlWidth="120"  ItemStyle-Wrap="false"  HeaderText="Holiday Type" UniqueName="HolidayType"  ></telerik:GridBoundColumn>

                <telerik:GridEditCommandColumn HeaderStyle-Width="30"  UniqueName="EditColumn" ButtonType="ImageButton" />
                <telerik:GridButtonColumn  HeaderStyle-Width="30" ConfirmDialogType="RadWindow"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Holiday"   ConfirmText="Are you sure you want to delete this Holiday?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add Holiday" CaptionFormatString="Update Holiday">
                <PopUpSettings Modal="true" Width="550"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Public Holiday</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <b>Holiday Name*</b>
                                        </td>
                                        <td colspan="3">
                                            <asp:TextBox ID="txt_Holiday" runat="server" Width="380"></asp:TextBox>
                                        </td>
                                    </tr>
                                    
                                    <tr>
                                        <td>
                                            <b>Company*</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_Company" Width="200" runat="server"></asp:DropDownList>
                                        </td>
                                        <td>
                                            <b>Date</b>
                                        </td>
                                        <td>
                                            <telerik:RadDatePicker ID="dtp_Date" DateInput-DateFormat="dd-MMM-yyyy" Skin="Office2007" runat="server"></telerik:RadDatePicker>
                                        </td>
                                    </tr>
                                    <tr>
                                    <td><b>Holiday Type*</b></td>
                                    <td colspan="2">
                                        <asp:RadioButtonList ID="rbtn_HolidayType" runat="server" RepeatDirection="Horizontal">
                                        <asp:ListItem Selected="True">Mandatory</asp:ListItem>
                                        <asp:ListItem>Restricted</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                    </tr>
                                   
                                   <tr id="tr_HolidayGroup" runat="server" visible="false">
                                    <td>Holiday Group</td>
                                    <td colspan="2">
                                        <asp:DropDownList ID="drp_HolidayGroup" runat="server">
                                        </asp:DropDownList>
                                    </td>
                                    </tr>

                                     <tr>
                                        <td>
                                            Description
                                        </td>
                                        <td colspan="3">
                                            <asp:TextBox ID="txt_Description" runat="server" TextMode="MultiLine" Width="380" Height="50"></asp:TextBox>
                                        </td>
                                    </tr>
                                    
                                    
                                   
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton
                                    ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Resizing AllowColumnResize="true" />
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents   OnPopUpShowing="PopUpShowing" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>

     <telerik:RadWindow ID="ImportHolidayDetails" Title="Import Holiday Details" VisibleStatusbar="false"
                    VisibleTitlebar="false" runat="server" Behaviors="Resize" Modal="true">
                </telerik:RadWindow>


    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>

     <telerik:RadCodeBlock ID="RadCodeBlock2" runat="server">
        <script type="text/javascript">
            function ShowImportHolidayDetailsForm() {
                window.radopen('ImportHolidayList.aspx', 'ImportHolidayDetails').setSize(600, 280);
                return false;
            }
            </script>
        </telerik:RadCodeBlock>
</body>
</html>
