﻿<%@ page language="C#" autoeventwireup="true" inherits="ReportIssue, App_Web_reportissue.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_ClientIssue">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_ClientIssue" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    <telerik:RadGrid ID="Grid_ClientIssue" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="900"
        runat="server" OnNeedDataSource="Grid_ClientIssue_NeedDataSource" OnDeleteCommand="Grid_ClientIssue_OnDeleteCommand"
        OnUpdateCommand="Grid_ClientIssue_UpdateCommand"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top" DataKeyNames="ClientIssueId">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Report New Issue</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="ClientIssueId" HeaderText="ClientIssueId" UniqueName="ClientIssueId" Visible="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="AssigneName"  HeaderText="AssigneName" UniqueName="AssigneName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="AssigneeContactNo" HeaderText="AssigneeContactNo" UniqueName="AssigneeContactNo" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="OpenTime" HeaderText="OpenTime" UniqueName="OpenTime"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Status" HeaderText="Status" UniqueName="Status"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Description" HeaderText="Description" UniqueName="Description"></telerik:GridBoundColumn>
                <telerik:GridEditCommandColumn UniqueName="EditColumn" Visible="false" ButtonType="ImageButton" />
                <telerik:GridButtonColumn ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete ClientIssue" ConfirmText="Are you sure you want to delete this Record?" ImageUrl="Images/deleteRecordBtn.gif"></telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add ClientIssue" CaptionFormatString="Update ClientIssue">
                <PopUpSettings Modal="true" Width="550"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Report the Issue</legend>
                                <table>
                                     <tr>
                                        <td>
                                            <b>Description</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Description" TextMode="MultiLine" runat="server" Width="300" ></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                    <td>Attachment</td>
                                    <td>
                                        <telerik:RadAsyncUpload ID="dlFileName" AutoAddFileInputs="false" MaxFileInputsCount="1" MultipleFileSelection="Disabled" runat="server"></telerik:RadAsyncUpload>
                                    </td>
                                    </tr>
                                   
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Button ID="btn_Save" Text="Save" runat="server" CommandName="Update" />&nbsp;<asp:Button
                                    ID="btn_Close" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
