﻿<%@ page language="C#" autoeventwireup="true" inherits="Reports_LeaveSummaryReport, App_Web_leavesummaryreport.aspx.dfa151d5" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1"  runat="server" >
    <title>Employee Leave Summary Report</title>
    <meta http-equiv="X-UA-Compatible" content="IE=8" />
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
    <link href="Button.css" rel="stylesheet" type="text/css" />
</head>
<body onload="resetcontrolvalue();">
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" runat="server"></telerik:RadWindowManager>
         <telerik:RadFormDecorator ID="FormDecorator1" ControlsToSkip="Select" runat="server" DecoratedControls="all" Skin="Office2007" ></telerik:RadFormDecorator>

    <telerik:RadWindow ID="LeaveSummaryDialog" runat="server" Modal="true" Behaviors="Close,Resize,Move" Skin="Office2007" OnClientShow="decorateContent"  
    Title="Employee Leave Summary Report" Width="800" Height="430" VisibleOnPageLoad="true">
    <ContentTemplate>
     <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
                <table >
                <tr>
                <td>
                <fieldset>
                <legend><b>Leave Summary Report</b></legend>
                <table cellpadding="0" cellspacing="0">
                <tr>
                <td>
                <br />
                <asp:HiddenField ID="hdn_Companies" runat="server" />
                <asp:HiddenField ID="hdn_Departments" runat="server" />
                </td>
                </tr>
                        <tr>
                        <td>
                        <table>
                        <tr>
                        <td>Year</td>
                        <td><asp:DropDownList ID="drp_Year" CssClass="WebControls" runat="server"></asp:DropDownList></td>
                         <td>
                           Leave Type
                        </td>
                         <td><asp:DropDownList ID="drp_LeaveType" CssClass="WebControls"      runat="server"></asp:DropDownList></td>
                            
                        
                        </tr>
                        </table>
                        </td>
                        </tr>
                        
                        <tr>
                        <td>
                        <table>
                        <tr>
                        <td>
                        <fieldset>
                        <legend><asp:CheckBox ID="chk_FilterEmployee" onclick="chk_FilterEmployee_onclick(this)" runat="server" Text="Filter Employee" /></legend>
                        <table>
                        <tr>
                        <td><asp:Label runat="server" ID="lbl_EmployeeCode"   Text="Employee Code"></asp:Label></td>
                        <td><asp:TextBox ID="txt_EmployeeCode"  runat="server"></asp:TextBox></td>
                        <td><asp:CheckBox ID="chk_IsExcat"   runat="server" Text="Exact" /></td>
                        </tr>
                        <tr>
                        <td><asp:Label runat="server" ID="lbl_EmployeeName"   Text="Employee Name"></asp:Label></td>
                        <td colspan="2"><asp:TextBox ID="txt_EmployeeName"   width="195"  runat="server"></asp:TextBox></td>
                        </tr>
                         <tr>
                        <td><asp:Label runat="server" ID="lbl_EmployeeCategory"   Text="Employee Category"></asp:Label></td>
                        <td colspan="2"><asp:DropDownList ID="drp_Category"   width="200"  runat="server"></asp:DropDownList></td>
                        </tr>
                         <tr>
                        <td><asp:Label runat="server" ID="lbl_EmployeeDesignation"   Text="Employee Designation"></asp:Label></td>
                        <td colspan="2"><asp:DropDownList ID="drp_Designation"   width="200"  runat="server"></asp:DropDownList></td>
                        </tr>
                         <tr>
                        <td><asp:Label runat="server" ID="lbl_EmployeeLocation"   Text="Location"></asp:Label></td>
                        <td colspan="2"><asp:DropDownList ID="drp_Location"   width="200"  runat="server"></asp:DropDownList></td>
                        </tr>
                         <tr>
                         <td><asp:Label runat="server" ID="lbl_EmploymentType"   Text="Employeement Type"></asp:Label></td>
                        <td colspan="2"><asp:DropDownList ID="drp_EmploymentType"   width="200"  runat="server"></asp:DropDownList></td>
                        </tr>
                        </table>
                        </fieldset>
                        </td>
                        <td>
                       <table>
                       <tr><td colspan="2"><asp:CheckBox ID="chk_IsFilterCompany" onclick="chk_IsFilterCompany_onclick(this);" Text="Filter Company" runat="server" /></td></tr>
                       <tr>
                       <td colspan="2">
                        <asp:ListBox ID="lst_company"  EnableViewState="true" CssClass="WebControls" runat="server" width="180" height="160"  SelectionMode="Multiple"> </asp:ListBox>
                       </td>
                       </tr>
                       <tr>
                       <td><asp:LinkButton ID="lnk_CompanySelectAll" OnClientClick="SelectDeselectAllCompany(true);return false;"  runat="server">Select All</asp:LinkButton></td>
                       <td><asp:LinkButton ID="lnk_CompanyDeSelectAll" OnClientClick="SelectDeselectAllCompany(false);return false;"    runat="server">Deselect All</asp:LinkButton></td>
                       </tr>
                       </table>
                        </td>
                        <td>
                       <table>
                       <tr><td colspan="2"><asp:CheckBox ID="chk_IsFilterDepartment" onclick="chk_IsFilterDepartment_onclick(this);"  Text="Filter Department" runat="server" /></td></tr>
                       <tr>
                       <td colspan="2">
                        <asp:ListBox ID="lst_Department" CssClass="WebControls"  runat="server" width="180" height="160"  SelectionMode="Multiple"> </asp:ListBox>
                       </td>
                       </tr>
                       <tr>
                       <td><asp:LinkButton ID="lnk_DepartmentSelectAll" OnClientClick="SelectDeselectAllDepartment(true);return false;"       runat="server">Select All</asp:LinkButton></td>
                       <td><asp:LinkButton ID="lnk_DepartmentDeSelectAll" OnClientClick="SelectDeselectAllDepartment(false);return false;"       runat="server">Deselect All</asp:LinkButton></td>
                       </tr>
                       </table>
                        </td>
                        </tr>
                        </table>
                        </td>
                        </tr>

                         <tr>
                        <td>
                        <table>
                        <tr>
                        <td style="display:none;">Report Format</td>
                        <td>
                        <asp:RadioButtonList RepeatDirection="Horizontal" ID="rbtn_ReportFormat"    runat="server" Visible="false">
                        <asp:ListItem>Word</asp:ListItem>
                        <asp:ListItem>Excel</asp:ListItem>
                        <asp:ListItem Selected="True">PDF</asp:ListItem>
                            </asp:RadioButtonList>
                        </td>
                        </tr>
                        </table>
                            
                        </td>
                        </tr>
                        
                       
                        </table>
                </fieldset>
                </td>
                
                 <tr>
                <td>
                <table>
                <tr>
                <td align="left"><asp:Label ID="lbl_Message"      runat="server" Font-Bold="true" Font-Size="10" Width="590" ForeColor="Red"></asp:Label></td>
               <td align="right">
                <table><tr><td><asp:Button ID="btn_Generate"   CssClass="RadButton" OnClientClick="btn_Generate_OnClientClick();" OnClick="btn_Generate_OnClick"  runat="server"   Text="Generate"  /></td><td><telerik:RadButton ID="btn_Close" OnClick="btn_Close_OnClick" Icon-PrimaryIconCssClass="rbCancel"  runat="server"  CssClass="WebControls" Text="Close" /></td></tr></table>
                </td>
                </tr>
                </table>
                </td>
                </tr>
                </table>
                    
        </ContentTemplate>
         <Triggers>
            <asp:PostBackTrigger ControlID="btn_Generate" />
        </Triggers>
        </asp:UpdatePanel>
        </ContentTemplate>
    </telerik:RadWindow>
        <telerik:RadProgressManager ID="RadProgressManager1"  Skin="Office2007"  runat="server" />
    <div id="RadProgess" runat="server" style="position: absolute; z-index: 1000000; top:200px; left:350px;">
    <table>
    <tr>
    <td>
    </td>
    <td>
    <telerik:RadProgressArea ID="RadProgressArea1"   ProgressIndicators="TimeElapsed,TimeEstimated,FilesCountBar,FilesCount,CurrentFileName"     Skin="Office2007" HeaderText="Leave Summary Report"  runat="server"   DisplayCancelButton="true"  >
        <Localization UploadedFiles="" TotalFiles="" CurrentFileName="" Uploaded="" Total=""   />
    </telerik:RadProgressArea>
    </td>
    </tr>
    </table>
   </div>
     <script type="text/javascript">
         function resetcontrolvalue() {
             var sel_Companies_Array = document.getElementById('<%=hdn_Companies.ClientID%>').value.split(","); ;
             var sel_Departments_Array = document.getElementById('<%=hdn_Departments.ClientID%>').value.split(","); ;

             var lst_company = document.getElementById('<%=lst_company.ClientID%>');
             var lst_Department = document.getElementById('<%=lst_Department.ClientID%>');

             for (var i = 0; i < lst_company.options.length; i++) {
                 for (var j = 0; j < sel_Companies_Array.length; j++) {
                     if (lst_company.options[i].value == sel_Companies_Array[j]) {
                         lst_company.options[i].selected = true;
                     }
                 }
             }

             for (var i = 0; i < lst_Department.options.length; i++) {
                 for (var j = 0; j < sel_Departments_Array.length; j++) {
                     if (lst_Department.options[i].value == sel_Departments_Array[j]) {
                         lst_Department.options[i].selected = true;
                     }
                 }
             }

             // Enable Disable Lisbox Controls
             document.getElementById('<%=lst_company.ClientID%>').disabled = (document.getElementById('<%=chk_IsFilterCompany.ClientID%>').checked) ? 0 : 1
             document.getElementById('<%=lst_Department.ClientID%>').disabled = (document.getElementById('<%=chk_IsFilterDepartment.ClientID%>').checked) ? 0 : 1

             document.getElementById('<%=txt_EmployeeCode.ClientID%>').disabled = (document.getElementById('<%=chk_FilterEmployee.ClientID%>').checked) ? 0 : 1
             document.getElementById('<%=chk_IsExcat.ClientID%>').disabled = (document.getElementById('<%=chk_FilterEmployee.ClientID%>').checked) ? 0 : 1
             document.getElementById('<%=drp_Category.ClientID%>').disabled = (document.getElementById('<%=chk_FilterEmployee.ClientID%>').checked) ? 0 : 1
             document.getElementById('<%=drp_Designation.ClientID%>').disabled = (document.getElementById('<%=chk_FilterEmployee.ClientID%>').checked) ? 0 : 1
             document.getElementById('<%=drp_Location.ClientID%>').disabled = (document.getElementById('<%=chk_FilterEmployee.ClientID%>').checked) ? 0 : 1
             document.getElementById('<%=drp_EmploymentType.ClientID%>').disabled = (document.getElementById('<%=chk_FilterEmployee.ClientID%>').checked) ? 0 : 1

         }
         function chk_FilterEmployee_onclick(objCheckbox) {
             document.getElementById('<%=txt_EmployeeCode.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=chk_IsExcat.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=drp_Category.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=drp_Designation.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=drp_Location.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=drp_EmploymentType.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
         }

         function chk_IsFilterCompany_onclick(objCheckbox) {
             document.getElementById('<%=lst_company.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=lnk_CompanySelectAll.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=lnk_CompanyDeSelectAll.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
         }

         function chk_IsFilterDepartment_onclick(objCheckbox) {
             document.getElementById('<%=lst_Department.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=lnk_DepartmentSelectAll.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
             document.getElementById('<%=lnk_DepartmentDeSelectAll.ClientID%>').disabled = (objCheckbox.checked) ? 0 : 1
         }

         function SelectDeselectAllCompany(value) {
             var lst_company = document.getElementById('<%=lst_company.ClientID%>')
             for (var i = 0; i < lst_company.length; i++) {
                 lst_company.options[i].selected = value;
             }
         }

         function btn_Generate_OnClientClick() {
             document.getElementById('<%=hdn_Companies.ClientID%>').value = '';
             document.getElementById('<%=hdn_Departments.ClientID%>').value = '';

             var lst_company = document.getElementById('<%=lst_company.ClientID%>')
             for (var i = 0; i < lst_company.length; i++) {
                 if (lst_company.options[i].selected == true)
                     document.getElementById('<%=hdn_Companies.ClientID%>').value = document.getElementById('<%=hdn_Companies.ClientID%>').value + lst_company.options[i].value + ',';
             }

             var lst_Department = document.getElementById('<%=lst_Department.ClientID%>')
             for (var i = 0; i < lst_Department.length; i++) {
                 if (lst_Department.options[i].selected == true)
                     document.getElementById('<%=hdn_Departments.ClientID%>').value = document.getElementById('<%=hdn_Departments.ClientID%>').value + lst_Department.options[i].value + ',';
             }


         }
         function SelectDeselectAllDepartment(value) {
             var lst_Department = document.getElementById('<%=lst_Department.ClientID%>')
             for (var i = 0; i < lst_Department.length; i++) {
                 lst_Department.options[i].selected = value;
             }
         }
         function decorateContent(sender) {
             $find("<%=FormDecorator1.ClientID %>").decorate(sender.get_contentElement());
         }
     </script>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
