﻿<%@ page language="C#" autoeventwireup="true" inherits="Reports_RecalculateAttendance, App_Web_recalculateattendance.aspx.dfa151d5" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Recalculate Attendance</title>
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
    <link href="Button.css" rel="stylesheet" type="text/css" />
</head>
<body onload="resetcontrolvalue()">
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" AsyncPostBackTimeout="1000000"></asp:ScriptManager>
    
    <telerik:RadWindowManager ID="RadWindowManager1" runat="server">
    </telerik:RadWindowManager>
    <telerik:RadWindow ID="ReCalculateAttendanceDialog" runat="server" Modal="true" Behaviors="Close,Resize,Move"  Skin="Office2007" Title="Recalculate Attendance" Width="530" Height="380" VisibleOnPageLoad="true">
        <ContentTemplate>
            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                    <legend><b>Recalculate Attendance</b></legend>
                                    <table cellpadding="0" cellspacing="0">
                                        <tr>
                                            <td colspan="4">
                                                <br />
                                                <asp:HiddenField ID="hdn_Companies" runat="server" />
                                                <asp:HiddenField ID="hdn_Departments" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>From Date&nbsp;</b>
                                            </td>
                                            <td>
                                                <telerik:RadDatePicker ID="dtp_FromDate" DateInput-DateFormat="dd-MMM-yyyy" Skin="Office2007"
                                                    runat="server">
                                                </telerik:RadDatePicker>
                                            </td>
                                            <td>
                                                <b>To Date&nbsp;</b>
                                            </td>
                                            <td>
                                                <telerik:RadDatePicker ID="dtp_ToDate" DateInput-DateFormat="dd-MMM-yyyy" Skin="Office2007"
                                                    runat="server">
                                                </telerik:RadDatePicker>
                                            </td>
                                        </tr>
                                         <tr>
                                        <td colspan="4">
                                        <br />
                                        </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                Companies
                                            </td>
                                            <td colspan="2">
                                                Departments
                                            </td>
                                        </tr>
                                       
                                        <tr>
                                            <td colspan="2">
                                                <asp:ListBox ID="lst_company" EnableViewState="true"   CssClass="WebControls"  runat="server" Width="210" Height="160"
                                                    SelectionMode="Multiple"></asp:ListBox>
                                            </td>
                                            <td colspan="2">
                                                <asp:ListBox ID="lst_Department" runat="server"   CssClass="WebControls"  Width="210" Height="160" SelectionMode="Multiple">
                                                </asp:ListBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:LinkButton ID="lnk_CompanySelectAll" OnClientClick="SelectDeselectAllCompany(true);return false;"
                                                    runat="server">Select All</asp:LinkButton>
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="lnk_CompanyDeSelectAll" OnClientClick="SelectDeselectAllCompany(false);return false;"
                                                    runat="server">Deselect All</asp:LinkButton>
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="lnk_DepartmentSelectAll" OnClientClick="SelectDeselectAllDepartment(true);return false;"
                                                    runat="server">Select All</asp:LinkButton>&nbsp;&nbsp;&nbsp;
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="lnk_DepartmentDeSelectAll" OnClientClick="SelectDeselectAllDepartment(false);return false;"
                                                    runat="server">Deselect All</asp:LinkButton>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table>
                                    <tr>
                                        <td align="left">
                                            <asp:Label ID="lbl_Message" runat="server" Font-Bold="true" Font-Size="10" Width="330"
                                                ForeColor="Red"></asp:Label>
                                        </td>
                                        <td align="right">
                                            <asp:Button ID="btn_Calculate" OnClientClick="btn_Calculate_OnClientClick();" OnClick="btn_Calculate_OnClick"
                                                runat="server" Text="Calculate" />&nbsp;&nbsp;<telerik:RadButton ID="btn_Close" OnClick="btn_Close_OnClick"
                                                    Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                   
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btn_Calculate" />
                </Triggers>
            </asp:UpdatePanel>
        </ContentTemplate>
    </telerik:RadWindow>
    <telerik:RadProgressManager ID="RadProgressManager1"   Skin="Office2007"  runat="server" />
    <div style="position: absolute; z-index: 1000000; top:200px; left:450px;">
    <table>
    <tr>
    <td>
    </td>
    <td>
    <telerik:RadProgressArea ID="RadProgressArea1" ProgressIndicators="TimeElapsed,TimeEstimated,FilesCountPercent,FilesCountBar"   Skin="Office2007" HeaderText="Calculating.... Attendance"  runat="server"   DisplayCancelButton="true"  >
    <Localization UploadedFiles="Calculating Attendance... " TotalFiles="" CurrentFileName="" Uploaded="" Total=""   />
    </telerik:RadProgressArea>
    </td>
    </tr>
    </table>
   </div>
    
      
        
                    
        

    <script type="text/javascript">
        function resetcontrolvalue() {
            var sel_Companies_Array = document.getElementById('<%=hdn_Companies.ClientID%>').value.split(","); ;
            var sel_Departments_Array = document.getElementById('<%=hdn_Departments.ClientID%>').value.split(","); ;

            var lst_company = document.getElementById('<%=lst_company.ClientID%>');
            var lst_Department = document.getElementById('<%=lst_Department.ClientID%>');

            for (var i = 0; i < lst_company.options.length; i++) {
                for (var j = 0; j < sel_Companies_Array.length; j++) {
                    if (lst_company.options[i].value == sel_Companies_Array[j]) {
                        lst_company.options[i].selected = true;
                    }
                }
            }

            for (var i = 0; i < lst_Department.options.length; i++) {
                for (var j = 0; j < sel_Departments_Array.length; j++) {
                    if (lst_Department.options[i].value == sel_Departments_Array[j]) {
                        lst_Department.options[i].selected = true;
                    }
                }
            }

        }





        function SelectDeselectAllCompany(value) {
            var lst_company = document.getElementById('<%=lst_company.ClientID%>')
            for (var i = 0; i < lst_company.length; i++) {
                lst_company.options[i].selected = value;
            }
        }

        function SelectDeselectAllDepartment(value) {
            var lst_Department = document.getElementById('<%=lst_Department.ClientID%>')
            for (var i = 0; i < lst_Department.length; i++) {
                lst_Department.options[i].selected = value;
            }
        }

        function btn_Calculate_OnClientClick() {
            document.getElementById('<%=hdn_Companies.ClientID%>').value = '';
            document.getElementById('<%=hdn_Departments.ClientID%>').value = '';

            var lst_company = document.getElementById('<%=lst_company.ClientID%>')
            for (var i = 0; i < lst_company.length; i++) {
                if (lst_company.options[i].selected == true)
                    document.getElementById('<%=hdn_Companies.ClientID%>').value = document.getElementById('<%=hdn_Companies.ClientID%>').value + lst_company.options[i].value + ',';
            }

            var lst_Department = document.getElementById('<%=lst_Department.ClientID%>')
            for (var i = 0; i < lst_Department.length; i++) {
                if (lst_Department.options[i].selected == true)
                    document.getElementById('<%=hdn_Departments.ClientID%>').value = document.getElementById('<%=hdn_Departments.ClientID%>').value + lst_Department.options[i].value + ',';
            }
        }

       
    </script>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
