﻿<%@ page language="C#" autoeventwireup="true" inherits="Categories, App_Web_categories.aspx.cdcab7d2" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Categories</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007" runat="server">
     <Windows>
            <telerik:RadWindow ID="UserListDialog" runat="server" Title="Save Category Details" Height="530px" VisibleStatusbar="false"
                Width="950px" Left="150px"    ShowContentDuringLoad="true" 
                Modal="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
    
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Category">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Category" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    <telerik:RadGrid ID="Grid_Category" ShowStatusBar="true" GridLines="None" Skin="Office2007"
        Width="900" runat="server" OnNeedDataSource="Grid_Category_NeedDataSource" OnDeleteCommand="Grid_Category_OnDeleteCommand" OnItemCreated="Grid_Category_ItemCreated"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView CommandItemDisplay="Top" DataKeyNames="CategoryId"
            TableLayout="Fixed" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server"    OnClientClick="return ShowInsertForm();"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Category</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="CategoryId" HeaderText="CategoryId" UniqueName="CategoryId"
                    Display="false">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CategorySName" HeaderStyle-Width="300" FilterControlWidth="250"
                    HeaderText="Category Name" UniqueName="CategorySName">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CategoryName" HeaderStyle-Width="350" FilterControlWidth="300"
                    HeaderText="Full Name" UniqueName="CategoryName">
                </telerik:GridBoundColumn>
                 <telerik:GridTemplateColumn UniqueName="EditColumn" AllowFiltering="false"  HeaderStyle-Width="30" >
                    <ItemTemplate>
                        <asp:HyperLink ID="EditLink" runat="server" Text="Edit" ImageUrl="~/Icons/edit-icon.gif"></asp:HyperLink>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridButtonColumn ConfirmDialogType="RadWindow" ConfirmDialogWidth="360"
                    ConfirmDialogHeight="75" ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn"
                    ConfirmTitle="Delete" ConfirmText="Are you sure you want to delete this Record?"
                    ImageUrl="Images/deleteRecordBtn.gif">
                </telerik:GridButtonColumn>
            </Columns>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true" />
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
        function ShowEditForm(id, rowIndex) {
            var grid = $find("<%= Grid_Category.ClientID %>");

            var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();
            grid.get_masterTableView().selectItem(rowControl, true);

            window.radopen("AddEditCategoryDetails.aspx?CategoryId=" + id, "UserListDialog");
            return false;
        }
        function ShowInsertForm() {
            window.radopen("AddEditCategoryDetails.aspx?CategoryId=0", "UserListDialog");
            return false;
        }
        function refreshGrid() {
            $find("<%= Grid_Category.ClientID %>").get_masterTableView().rebind();
        }
    </script>
</body>
</html>
