﻿<%@ page language="C#" autoeventwireup="true" inherits="Companies, App_Web_companies.aspx.cdcab7d2" enableeventvalidation="false" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Company</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>
<body>
    <form id="form1" runat="server">
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server" >
    <Windows>
            <telerik:RadWindow ID="UserListDialog" runat="server" Title="Save Company Details" Height="400px" VisibleStatusbar="false"
                Width="800px" Left="150px" ShowContentDuringLoad="true" 
                Modal="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "100px";
                popUp.style.top = "80px";
            } 
      </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Company">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Company" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    
    <telerik:RadGrid ID="Grid_Company" ShowStatusBar="true"  GridLines="None" Skin="Office2007" Width="950"
        runat="server" OnNeedDataSource="Grid_Company_NeedDataSource" OnDeleteCommand="Grid_Company_OnDeleteCommand"
        OnItemCreated="Grid_Company_ItemCreated"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" Font-Size="8" CommandItemDisplay="Top" DataKeyNames="CompanyId" AllowFilteringByColumn="true" >
            <CommandItemTemplate>
                 <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server"    OnClientClick="return ShowInsertForm();"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Company</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="CompanyId" HeaderText="CompanyId" UniqueName="CompanyId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanySName"   HeaderStyle-Width="150" FilterControlWidth="120"  HeaderText="Company Name" UniqueName="CompanySName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanyFName" HeaderStyle-Width="150" FilterControlWidth="120"  HeaderText="Full Name" UniqueName="CompanyFName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanyeMail" HeaderStyle-Width="150" FilterControlWidth="120"  HeaderText="eMail" UniqueName="CompanyeMail" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanyWebsite" HeaderStyle-Width="100" FilterControlWidth="70"  HeaderText="Company Website" UniqueName="CompanyWebsite" ></telerik:GridBoundColumn>
                 <telerik:GridButtonColumn  ConfirmDialogType="RadWindow" HeaderStyle-Width="30"    ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete"   ConfirmText="Are you sure you want to delete this Record?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
                 <telerik:GridTemplateColumn UniqueName="EditColumn" AllowFiltering="false"  HeaderStyle-Width="30" >
                    <ItemTemplate>
                        <asp:HyperLink ID="EditLink" runat="server" Text="Edit" ImageUrl="~/Icons/edit-icon.gif"></asp:HyperLink>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
            </Columns>
            
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents  OnPopUpShowing="PopUpShowing"  />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
        function ShowEditForm(id, rowIndex) {
            var grid = $find("<%= Grid_Company.ClientID %>");

            var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();
            grid.get_masterTableView().selectItem(rowControl, true);

            window.radopen("AddEditCompanyDetails.aspx?CompanyId=" + id, "UserListDialog");
            return false;
        }
        function ShowInsertForm() {
            window.radopen("AddEditCompanyDetails.aspx?CompanyId=0", "UserListDialog");
            return false;
        }
        function refreshGrid() {
            $find("<%= Grid_Company.ClientID %>").get_masterTableView().rebind();
        }
    </script>
</body>
</html>
