﻿<%@ page language="C#" autoeventwireup="true" inherits="DeviceUsers, App_Web_deviceusers.aspx.cdcab7d2" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Device Users</title>
     <script type="text/javascript">
         function mngRequestStarted(ajaxManager, eventArgs) {
             if (eventArgs.EventTarget.indexOf("ExportToExcel") != -1) {
                 eventArgs.EnableAjax = false;
             }
         }
           
    </script>
</head>
<body>
    <form id="form1" runat="server">
      <script type="text/javascript">
          function onRequestStart(sender, args) {
              if (args.get_eventTarget().indexOf("ExportTo") >= 0) {
                  args.set_enableAjax(false);
              }
          }
            </script>

    <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="onRequestStart">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Users">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Users" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />

    <telerik:RadGrid ID="Grid_Users"  AllowMultiRowSelection="true"    ShowStatusBar="true" Width="850"  GridLines="None" Skin="Office2007" runat="server"  OnNeedDataSource="Grid_Users_NeedDataSource"
            OnItemCreated="Grid_UIsers_ItemCreated"  OnDeleteCommand="Grid_User_OnDeleteCommand" OnItemCommand="Grid_Users_ItemCommand"
        OnUpdateCommand="Grid_User_UpdateCommand" OnItemDataBound="Grid_User_ItemDataBound" AllowFilteringByColumn="true" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
         <MasterTableView EditMode="PopUp" CommandItemDisplay="Top" DataKeyNames="EmployeeCodeInDevice,EmployeeName,EmployeeDeviceName,Privilege,CardNumber,BioPassword,SerialNumber" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnDelete" runat="server" CommandName="Delete">&nbsp;&nbsp;<img style="border:0px;vertical-align:middle;" alt="" src="Images/deleteRecordBtn.gif" />Delete Selected Users</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                     <asp:LinkButton ID="lnk_Refresh" runat="server" CommandName="RebindGrid"><img style="border:0px" alt="" src="Images/Refresh.gif" /> Refresh Device Users</asp:LinkButton>
                     <asp:LinkButton ID="lnk_BlockUsers"  ToolTip="This option will work only with new firmware device." runat="server" OnClick="lnk_BlockUsers_OnClick" ><img style="border:0px" alt="" src="Images/Refresh.gif" /> Block Users</asp:LinkButton>
                     <asp:LinkButton ID="lnk_UnBlockUsers"  ToolTip="This option will work only with new firmware device." runat="server" OnClick="lnk_UnBlockUsers_OnClick" ><img style="border:0px" alt="" src="Images/Refresh.gif" />UnBlock Users</asp:LinkButton>
                            |&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;<asp:Button ID="ExportToExcel" runat="server" Text=" " ToolTip="ExportToExcel" CssClass="rgExpXLS" CommandName="ExportToExcel" />&nbsp;


                </div>
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridClientSelectColumn  HeaderStyle-Width="50" UniqueName="rowselect"></telerik:GridClientSelectColumn>
                <telerik:GridBoundColumn DataField="EmployeeCodeInDevice" ItemStyle-Wrap="false"    HeaderStyle-Width="160"   HeaderText="Employee Device Code" UniqueName="EmployeeCodeInDevice" Visible="true"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EmployeeDeviceName" ItemStyle-Wrap="false" Display="false"    HeaderStyle-Width="100"   HeaderText="E.Device Name" UniqueName="EmployeeDeviceName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EmployeeName" ItemStyle-Wrap="false"     HeaderStyle-Width="150"   HeaderText="EmployeeName" UniqueName="EmployeeName"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Privilege" ItemStyle-Wrap="false"    HeaderStyle-Width="80" Display="false"  HeaderText="Privilege" UniqueName="Privilege" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DetailedPrivilege" ItemStyle-Wrap="false"    HeaderStyle-Width="140"  HeaderText="Privilege" UniqueName="DetailedPrivilege" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="FPCount" ItemStyle-Wrap="false"    HeaderStyle-Width="100"  HeaderText="FP Count" UniqueName="FPCount" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="IsPassword" ItemStyle-Wrap="false"    HeaderStyle-Width="100"  HeaderText="IsPassword" UniqueName="IsPassword" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CardNumber" ItemStyle-Wrap="false"    HeaderStyle-Width="100"  HeaderText="CardNumber" UniqueName="CardNumber" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="BioPassword" ItemStyle-Wrap="false"    HeaderStyle-Width="130" Display="false"  HeaderText="BioPassword" UniqueName="BioPassword" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="FPs" ItemStyle-Wrap="false"    HeaderStyle-Width="130" Display="false"  HeaderText="FPs" UniqueName="FPs" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="BioVersion" ItemStyle-Wrap="false"    HeaderStyle-Width="130" Display="false"  HeaderText="BioVersion" UniqueName="BioVersion" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="SerialNumber" ItemStyle-Wrap="false"    HeaderStyle-Width="130" Display="false"  HeaderText="SerialNumber" UniqueName="SerialNumber" ></telerik:GridBoundColumn>
                <telerik:GridEditCommandColumn UniqueName="EditColumn" ButtonType="ImageButton" />
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add User" CaptionFormatString="Update User">
                <PopUpSettings Modal="true" Width="500"  />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Update Device User</legend>
                                <table>
                                 <tr>
                                        <td>
                                            Employee Device Code
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_EmployeeCodeInDevice" Enabled="false" runat="server" Width="300"></asp:TextBox>
                                            <asp:Label ID="lbl_SeriaNumber" Visible="false" runat="server" Text="Label"></asp:Label>
                                        </td>
                                     
                                    </tr>

                                     <tr>
                                        <td>
                                            Employee Device Name
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_EmployeeDeviceName" Enabled="false" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>
                                            <b>Employee Application Name</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Name" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <b>Privilege</b>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="drp_Privilege" runat="server">
                                            <asp:ListItem Value="0">Common User</asp:ListItem>
                                            <asp:ListItem Value="2">Administrator</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                     <tr>
                                        <td>
                                            <b>Password</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Password" TextMode="Password" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                      <tr>
                                        <td>
                                            <b>Card Number</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_CardNumber" runat="server" Width="300"></asp:TextBox>
                                        </td>
                                    </tr>
                                   
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Button ID="btn_Save" Text="Save" runat="server" CommandName="Update" />&nbsp;<asp:Button
                                    ID="btn_Close" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
            
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"   />
            <Selecting AllowRowSelect="true"/>
            <Resizing AllowColumnResize="true" AllowRowResize="false" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
         <ExportSettings IgnorePaging="true" FileName="DeviceUsers"  OpenInNewWindow="true" ExportOnlyData="true" HideStructureColumns="true"  ></ExportSettings>
    </telerik:RadGrid>
                    <asp:CheckBox runat="server" ID="chk_ShowBlockUser" Text="ShowBlockUser" AutoPostBack="true" OnCheckedChanged="chk_ShowBlockUser_CheckedChanged" />

    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
