﻿<%@ page language="C#" autoeventwireup="true" inherits="EmployeeTransferDetails, App_Web_employeetransferdetails.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
         <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server">
         <Windows>
            <telerik:RadWindow ID="UserListDialog" runat="server" Title="Employee Transfer" Height="320px"
                Width="600px" Left="100px" ReloadOnShow="true" ShowContentDuringLoad="true" VisibleStatusbar="false"
                Modal="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Office2007"  />
     <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_EmployeeTransfer">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_EmployeeTransfer" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
             <telerik:AjaxSetting AjaxControlID="btn_Filter">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_EmployeeTransfer" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
  
        <table>
            <tr>

                <td>
                    <telerik:RadGrid ID="Grid_EmployeeTransfer" AllowAutomaticUpdates="true"  AllowMultiRowSelection="true" Width="1200px" ShowStatusBar="true" GridLines="None" Skin="Office2007" runat="server" OnNeedDataSource="Grid_EmployeeTransfer_NeedDataSource"
                        AllowFilteringByColumn="true" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
                        <MasterTableView  AllowFilteringByColumn="true" CommandItemDisplay="Top" TableLayout="Fixed" >
                            <CommandItemTemplate >
                                &nbsp;&nbsp;<asp:LinkButton ID="btn_AddEmployeeTransfer" runat="server" OnClientClick="return ShowInsertForm();"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif"/>Transfer Employee</asp:LinkButton>&nbsp;&nbsp;
                            </CommandItemTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="EmployeeTransferId" HeaderText="EmployeeTransferId" UniqueName="EmployeeTransferId" Display="false"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="EmployeeId" HeaderText="EmployeeId" UniqueName="EmployeeId" Display="false"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="CompanyId" HeaderText="CompanyId" UniqueName="CompanyId" Display="false"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="CategoryId" HeaderText="CategoryId" UniqueName="CategoryId" Display="false"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="DepartmentId" HeaderText="DepartmentId" UniqueName="DepartmentId" Display="false"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="EmployeeCode" HeaderStyle-Width="150" HeaderText="EmployeeCode" Display="true" UniqueName="EmployeeCode"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="EmployeeName" HeaderStyle-Width="150" HeaderText="EmployeeName" Display="true" UniqueName="EmployeeName"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="EffectiveFrom" HeaderStyle-Width="150" HeaderText="EffectiveFrom" Display="true" UniqueName="EffectiveFrom"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="CompanySName" ItemStyle-Wrap="false" HeaderStyle-Width="150" HeaderText="Company" UniqueName="CompanySName"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="CategorySName" ItemStyle-Wrap="false" HeaderStyle-Width="150" HeaderText="Category" UniqueName="CategorySName"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="DepartmentSName" ItemStyle-Wrap="false" HeaderStyle-Width="150" HeaderText="Department" UniqueName="DepartmentSName"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="Designation" ItemStyle-Wrap="false" HeaderStyle-Width="150" HeaderText="Designation" UniqueName="Designation"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="Location" ItemStyle-Wrap="false" HeaderStyle-Width="150" HeaderText="Location" UniqueName="Location"></telerik:GridBoundColumn>
                            </Columns>
                        </MasterTableView>
                        <ClientSettings>
                            <Scrolling AllowScroll="true" UseStaticHeaders="true" />
                            <Selecting AllowRowSelect="true" />
                            <Resizing AllowColumnResize="true" AllowRowResize="false" />
                        </ClientSettings>
                        <GroupingSettings CaseSensitive="false" />
                        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
                    </telerik:RadGrid>

                </td>
            </tr>
        </table>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script>
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
            function EndRequestHandler(sender, args) {
                if (args.get_error() != undefined) {

                    alert(args.get_error());
                    args.set_errorHandled(true);
                }
            }

            function ShowInsertForm() {
                window.radopen("AddEmployeeTransfer.aspx", "UserListDialog");
                return false;
            }
            function refreshGrid() {
                $find("<%= Grid_EmployeeTransfer.ClientID %>").get_masterTableView().rebind();
            }

        </script>
        </telerik:RadCodeBlock>
    </form>
</body>
</html>
