﻿<%@ page language="C#" autoeventwireup="true" enableeventvalidation="false" inherits="Trainings, App_Web_training.aspx.e01c902d" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server"><meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1"  Skin="Office2007"  runat="server"></telerik:RadWindowManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server"  Skin="Office2007"   />
     <telerik:RadFormDecorator ID="FormDecorator1" runat="server" DecoratedControls="all"  Skin="Office2007"></telerik:RadFormDecorator>
   
   <telerik:RadGrid ID="Grid_Training" ShowStatusBar="true" GridLines="None" Skin="Office2007" Width="1200"
         runat="server" OnNeedDataSource="Grid_Training_NeedDataSource" OnDeleteCommand="Grid_Training_OnDeleteCommand"
        OnUpdateCommand="Grid_Training_UpdateCommand" OnItemDataBound="Grid_Training_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" CommandItemDisplay="Top" DataKeyNames="TrainingId,TrainingName">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="../Images/AddRecord.gif"  />Add New Training</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="TrainingId" HeaderText="TrainingId" UniqueName="TrainingId"  Visible="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CourseName" FilterControlWidth="140"   headerStyle-Width="170" ItemStyle-Wrap="false"  HeaderText="CourseName" UniqueName="CourseName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanySName"  FilterControlWidth="140"    headerStyle-Width="170" ItemStyle-Wrap="false"  HeaderText="Company Name" UniqueName="CompanySName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Status"  FilterControlWidth="140"    headerStyle-Width="170" ItemStyle-Wrap="false" HeaderText="Status" UniqueName="Status"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Location"  FilterControlWidth="140"   headerStyle-Width="170" ItemStyle-Wrap="false" HeaderText="Location" UniqueName="Location"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="DateSchedule" FilterControlWidth="140"  DataFormatString="{0:dd-MMM-yyyy}"      headerStyle-Width="170" ItemStyle-Wrap="false" HeaderText="Schedule Date" UniqueName="DateSchedule"> </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="TrainingStatus"  FilterControlWidth="140"    headerStyle-Width="170" ItemStyle-Wrap="false" HeaderText="Status" UniqueName="TrainingStatus"> </telerik:GridBoundColumn>
                <telerik:GridHyperLinkColumn HeaderStyle-Width="90" HeaderText="Manage Participants" AllowFiltering="false"  FilterControlWidth="85"   UniqueName="Manage Participants" Text="Manage" DataNavigateUrlFields="TrainingId" DataNavigateUrlFormatString="ManageTrainingParticipant.aspx?TrainingId={0}"> </telerik:GridHyperLinkColumn>
                <telerik:GridEditCommandColumn UniqueName="EditColumn" ButtonType="ImageButton"  headerStyle-Width="30"   />
                <telerik:GridButtonColumn ConfirmDialogType="RadWindow" ConfirmDialogWidth="360"  headerStyle-Width="30" ConfirmDialogHeight="75" ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Training" ConfirmText="Are you sure you want to delete this Training?"  ImageUrl="../Images/deleteRecordBtn.gif"></telerik:GridButtonColumn>
               
            </Columns>
            <EditFormSettings EditFormType="Template" InsertCaption="Add Training" CaptionFormatString="Update Training">
                <PopUpSettings Modal="true" Width="1050" />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                    <legend>Add\Edit Training</legend>
                                   
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <b>Course Name</b>
                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="txt_CourseName" runat="server" Width="300"></asp:TextBox>
                                                            </td>
                                                            <td>
                                                                Company
                                                            </td>
                                                            <td>
                                                                <asp:DropDownList ID="drp_Company" runat="server"></asp:DropDownList>
                                                                
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                Status
                                                            </td>
                                                            <td>
                                                                <asp:DropDownList ID="drp_Status" runat="server"></asp:DropDownList>
                                                            </td>
                                                           <td>
                                                                <b>Date Scheduled</b>
                                                            </td>
                                                            <td>
                                                                <telerik:RadDatePicker ID="DTP_DateScheduled" DateInput-DateFormat="dd-MMM-yyyy"  Skin="Office2007" runat="server"></telerik:RadDatePicker>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <b>Time</b>
                                                            </td>
                                                             <td>
                                                                <telerik:RadTimePicker ID="dtp_BeginTime" DateInput-DateFormat="HH:mm" Skin="Office2007"  runat="server"></telerik:RadTimePicker>
                                                             </td>
                                                            <td>
                                                                <b>Coordinator</b>
                                                            </td>
                                                            <td>
                                                                <asp:DropDownList ID="drp_Coordinator" runat="server"></asp:DropDownList>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <b>Location</b>
                                                            </td>
                                                            <td colspan="3">
                                                                <asp:TextBox ID="txt_Location" runat="server" Width="300"></asp:TextBox>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                Description
                                                            </td>
                                                            <td colspan="3">
                                                                <asp:TextBox ID="txt_Description" runat="server" TextMode="MultiLine"></asp:TextBox>
                                                            </td>
                                                        </tr>
                                                      
                                    </table>
                                </fieldset>
                            </td>
                            </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />
                                &nbsp;<telerik:RadButton ID="btn_Close" Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true" />
            <Selecting AllowRowSelect="true" />
            <Resizing AllowColumnResize="true" />
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
</body>
</html>
