﻿<%@ page language="C#" autoeventwireup="true" inherits="Shifts, App_Web_shifts.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Shift List</title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server" ></telerik:RadScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server">
    <Windows>
            <telerik:RadWindow ID="UserListDialog" runat="server" Title="Save Shift Details" Height="440px" VisibleStatusbar="false"
                Width="850px" Left="150px" ShowContentDuringLoad="true" 
                Modal="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
    
       <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                popUp.style.left = "100px";
                popUp.style.top = "20px";
            } 
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_Shift">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_Shift" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1"   Skin="Office2007" runat="server" />
    
    <telerik:RadGrid ID="Grid_Shift" ShowStatusBar="true"  GridLines="None"   Skin="Office2007" Width="1000"
        runat="server" OnNeedDataSource="Grid_Shift_NeedDataSource" OnDeleteCommand="Grid_Shift_OnDeleteCommand"
         OnItemCreated="Grid_Shift_temCreated"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView CommandItemDisplay="Top" DataKeyNames="ShiftId"   TableLayout="Fixed" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server"    OnClientClick="return ShowInsertForm();"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New Shift</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="ShiftId" HeaderText="ShiftId" UniqueName="ShiftId" Display="false"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ShiftName" HeaderStyle-Width="200" FilterControlWidth="170"   HeaderText="Shift Name" UniqueName="ShiftName"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ShiftCode" HeaderStyle-Width="150" FilterControlWidth="120"   HeaderText="ShiftCode" UniqueName="ShiftCode"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="BeginTime" HeaderStyle-Width="110" FilterControlWidth="80"   HeaderText="Begin Time" UniqueName="BeginTime" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="EndTime" HeaderStyle-Width="110" FilterControlWidth="80"   HeaderText="End Time" UniqueName="EndTime" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Break1" HeaderStyle-Width="110" FilterControlWidth="80"   HeaderText="Is Break1" UniqueName="Break1" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Break2" HeaderStyle-Width="110" FilterControlWidth="80"   HeaderText="Is Break2" UniqueName="Break2" ></telerik:GridBoundColumn>

                  <telerik:GridTemplateColumn UniqueName="EditColumn" AllowFiltering="false"  HeaderStyle-Width="30" >
                    <ItemTemplate>
                        <asp:HyperLink ID="EditLink" runat="server" Text="Edit" ImageUrl="~/Icons/edit-icon.gif"></asp:HyperLink>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridButtonColumn  HeaderStyle-Width="30" ConfirmDialogType="RadWindow"   ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete Shift"   ConfirmText="Are you sure you want to delete this Shift?" ImageUrl="Images/deleteRecordBtn.gif"> </telerik:GridButtonColumn>
            </Columns>
            
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnRowDblClick="RowDblClick"  OnPopUpShowing="PopUpShowing" ></ClientEvents>
        </ClientSettings>
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }

        function ShowEditForm(id, rowIndex) {
            var grid = $find("<%= Grid_Shift.ClientID %>");

            var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();
            grid.get_masterTableView().selectItem(rowControl, true);

            window.radopen("AddEditshiftDetails.aspx?ShiftId=" + id, "UserListDialog");
            return false;
        }
        function ShowInsertForm() {
            window.radopen("AddEditshiftDetails.aspx?ShiftId=0", "UserListDialog");
            return false;
        }
        function refreshGrid() {
            $find("<%= Grid_Shift.ClientID %>").get_masterTableView().rebind();
        }
    </script>
</body>
</html>
