﻿<%@ page language="C#" autoeventwireup="true" inherits="SystemUsers, App_Web_systemusers.aspx.cdcab7d2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>System User</title>
    <meta http-equiv="X-UA-Compatible" content="IE=8" />
    <link href="Styles/Grid.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
     <p id="divMsgs" runat="server"></p>
    <telerik:RadWindowManager ID="RadWindowManager1" Skin="Office2007"  runat="server">
    </telerik:RadWindowManager>
    
     <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
            var popUp;
            function PopUpShowing(sender, eventArgs) {
                popUp = eventArgs.get_popUp();
                var gridWidth = sender.get_element().offsetWidth;
                var gridHeight = sender.get_element().offsetHeight;
                var popUpWidth = popUp.style.width.substr(0, popUp.style.width.indexOf("px"));
                var popUpHeight = popUp.style.height.substr(0, popUp.style.height.indexOf("px"));
                popUp.style.left = ((gridWidth - popUpWidth) / 2 + sender.get_element().offsetLeft).toString() + "px";
                popUp.style.top = ((gridHeight - popUpHeight) / 2 + sender.get_element().offsetTop).toString() + "px";
            } 
        </script>
    </telerik:RadCodeBlock>
    
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
     <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Grid_SystemUser">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid_SystemUser">
                    </telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="divMsgs"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" Skin="Office2007"  runat="server"> </telerik:RadAjaxLoadingPanel>
   
    
    <telerik:RadGrid ID="Grid_SystemUser" RenderMode="Auto" ShowStatusBar="true" Skin="Office2007" Width="730" Height="450"
        runat="server" OnNeedDataSource="Grid_SystemUser_NeedDataSource" OnDeleteCommand="Grid_SystemUser_OnDeleteCommand"
        OnUpdateCommand="Grid_SystemUser_UpdateCommand" OnItemDataBound="Grid_SystemUser_ItemDataBound"
        AllowFilteringByColumn="true" AllowAutomaticDeletes="false" AllowAutomaticInserts="True"
        AllowAutomaticUpdates="True" AutoGenerateColumns="false" AllowPaging="True" AllowSorting="true">
        <MasterTableView EditMode="PopUp" Font-Size="8" CommandItemDisplay="Top" DataKeyNames="UserId,IsAdmin" AllowFilteringByColumn="true">
            <CommandItemTemplate>
                <div style="padding: 5px 5px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="btnInitInsert" runat="server" CommandName="InitInsert"><img style="border:0px;vertical-align:middle;" alt="" src="Images/AddRecord.gif" />Add New System User</asp:LinkButton>&nbsp;&nbsp;&nbsp;&nbsp;
                </div>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="UserId" HeaderText="UserId" UniqueName="UserId" Display="false">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="LoginName"  HeaderText="Login Name" UniqueName="LoginName" >
                <ItemStyle Width="100px" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="RoleName" HeaderText="Role Name" UniqueName="RoleName">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="IsAdmin" HeaderText="Is Admin" UniqueName="IsAdmin" ><ItemStyle Width="100px" />
                </telerik:GridBoundColumn>
                <telerik:GridEditCommandColumn UniqueName="EditColumn" ButtonType="ImageButton" />
                <telerik:GridButtonColumn  ConfirmDialogType="RadWindow" ConfirmDialogWidth="360" ConfirmDialogHeight="75"  ButtonType="ImageButton" CommandName="Delete" UniqueName="DeleteColumn" ConfirmTitle="Delete System User"
                    ConfirmText="Are you sure you want to delete this User?" ImageUrl="Images/deleteRecordBtn.gif">
                </telerik:GridButtonColumn>
            </Columns>
            <EditFormSettings  EditFormType="Template" InsertCaption="Add System User" CaptionFormatString="Update System User">
                <PopUpSettings Modal="true" Width="570" Height="435" />
                <FormTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                <legend>Add\Edit System User</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <b>Login Name</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_LoginName" Width="170px" runat="server"></asp:TextBox>
                                        </td>
                                        <td>
                                            <b>Password</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_Password" TextMode="Password" Width="175px" runat="server"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <b>Role Name</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_RoleName" runat="server" Width="150"></asp:TextBox>
                                        </td>
                                        <td>
                                            <b>EmployeeCode</b>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txt_EmployeeCode" runat="server" Width="100"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            Companies Allowed
                                        </td>
                                        <td colspan="2">
                                            Permission Allowed
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" valign="top">
                                            <asp:ListBox ID="lst_Companies" runat="server" width="200px" height="220"  SelectionMode="Multiple">
                                            </asp:ListBox>
                                        </td>
                                        <td colspan="2" valign="top">
                                       <div style=" border-style: groove; border-width: thin; border-color: inherit; width: 270px; height: 220px; overflow: auto;">
                                       <telerik:RadTreeView ID="TV_Permissions" Skin="Office2007"   runat="server" CheckBoxes="true" CheckChildNodes="true">
                                        </telerik:RadTreeView>
                                            </div>
                                        </td>
                                    </tr>
                                    
                                    <tr>
                                    <td colspan="2">
                                        <asp:CheckBox ID="chk_InVisible" Visible="false" AutoPostBack="true" runat="server" Text="Can Access Invisible Company" OnCheckedChanged="chk_InVisible_OnCheckedChanged" Font-Bold="true" />
                                        </td>

                                        <td colspan="2">
                                        <asp:CheckBox ID="Chk_IsAdmin" runat="server" Text="Is Admin" Font-Bold="true" />
                                        </td>
                                    </tr>
                                </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <telerik:RadButton ID="btn_Save" Skin="Office2007"  Icon-PrimaryIconCssClass="rbOk" Text="Save" runat="server" CommandName="Update" />&nbsp;<telerik:RadButton
                                    ID="btn_Close" Skin="Office2007"  Icon-PrimaryIconCssClass="rbCancel" runat="server" Text="Close" CommandName="Cancel" />
                            </td>
                        </tr>
                    </table>
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true"  />
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnRowDblClick="RowDblClick" OnPopUpShowing="PopUpShowing" ></ClientEvents>
        </ClientSettings>
         
        <GroupingSettings CaseSensitive="false" />
        <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
    </telerik:RadGrid>
    </form>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {

                alert(args.get_error());
                args.set_errorHandled(true);
            }
        }
    </script>
</body>
</html>
